import bpy
from .cb_const import NODEGROUP_MAIN_NAME, NODEGROUP_UV_NAME, NODEGROUP_REVERSE_ROTATION, NODEGROUP_CAM_PLACEMENT_ORTHO, \
    NODEGROUP_CLIPPING_PLANES_ORTHO, NODEGROUP_CAM_PLACEMENT_PANO, NODEGROUP_CLIPPING_PLANES_PANO
from .cb_nodeGroupLoader import import_node_group_from_json


def setup_shader_node_group():
    node_groups = get_node_groups()
    import_node_group_from_json(NODEGROUP_MAIN_NAME, node_groups[NODEGROUP_MAIN_NAME])


def setup_geo_node_groups():
    node_groups = get_node_groups()
    for node_group_name in node_groups:
        import_node_group_from_json(node_group_name, node_groups[node_group_name])


def get_node_groups():
    if (4, 1, 0) > bpy.app.version:
        return v4_0_nodes
    elif (4, 2, 0) > bpy.app.version:
        return v4_1_nodes
    else:
        return v4_2_nodes


v4_0_nodes = {
    NODEGROUP_MAIN_NAME: '{"type": "SHADER", "interface": [{"in_out": "OUTPUT", "name": "Surface", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}, {"in_out": "OUTPUT", "name": "Volume", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Color", "socket_type": "NodeSocketColor", "default_attribute_name": "", "hide_value": false, "default_value": [1.0, 1.0, 1.0, 1.0]}, {"in_out": "INPUT", "name": "Transmission", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 1.0, "min_value": 0.0, "max_value": 1.0, "subtype": "FACTOR"}, {"in_out": "INPUT", "name": "IOR", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 1.4500000476837158, "min_value": -3.4028234663852886e+38, "max_value": 3.4028234663852886e+38, "subtype": "NONE"}, {"in_out": "INPUT", "name": "Normal", "socket_type": "NodeSocketVector", "default_attribute_name": "", "hide_value": true, "default_value": [0.0, 0.0, 0.0], "min_value": -3.4028234663852886e+38, "max_value": 3.4028234663852886e+38, "subtype": "NONE"}, {"in_out": "INPUT", "name": "Roughness", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 0.0, "min_value": 0.0, "max_value": 1.0, "subtype": "FACTOR"}, {"in_out": "INPUT", "name": "Volume", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Attribute.001", "type": "ShaderNodeAttribute", "location": [2660.0, 360.0], "inputs": {}, "attributes": {"attribute_type": "OBJECT", "attribute_name": "cb_contributor"}}, {"name": "Mix Shader", "type": "ShaderNodeMixShader", "location": [2880.0, 160.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3120.0, 160.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Test.001", "type": "NodeGroupInput", "location": [2680.0, -120.0], "inputs": {}, "attributes": {}}, {"name": "Mix Shader.001", "type": "ShaderNodeMixShader", "location": [2880.0, 20.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Mix Shader.003", "type": "ShaderNodeMixShader", "location": [2020.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Mix Shader.004", "type": "ShaderNodeMixShader", "location": [1820.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Vector Math.004", "type": "ShaderNodeVectorMath", "location": [1620.0, 360.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Emission", "type": "ShaderNodeEmission", "location": [1620.0, 160.0], "inputs": {"Color": [1.0, 1.0, 1.0, 1.0], "Strength": 1.0, "Weight": 0.0}, "attributes": {}}, {"name": "Combine XYZ", "type": "ShaderNodeCombineXYZ", "location": [1420.0, 360.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Mix Shader.005", "type": "ShaderNodeMixShader", "location": [2220.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Math.004", "type": "ShaderNodeMath", "location": [1220.0, 360.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Attribute.003", "type": "ShaderNodeAttribute", "location": [1020.0, 360.0], "inputs": {}, "attributes": {"attribute_type": "GEOMETRY", "attribute_name": "CB_UV_Scale"}}, {"name": "Math.005", "type": "ShaderNodeMath", "location": [1020.0, 160.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Vector Math.005", "type": "ShaderNodeVectorMath", "location": [800.0, 160.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DOT_PRODUCT"}}, {"name": "Vector Math.006", "type": "ShaderNodeVectorMath", "location": [800.0, 360.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DOT_PRODUCT"}}, {"name": "Geometry.001", "type": "ShaderNodeNewGeometry", "location": [580.0, 360.0], "inputs": {}, "attributes": {}}, {"name": "Bump.001", "type": "ShaderNodeBump", "location": [580.0, 100.0], "inputs": {"Strength": 0.0, "Distance": 1.0, "Height": 1.0, "Normal": [0.0, 0.0, 0.0]}, "attributes": {"invert": false}}, {"name": "Fresnel", "type": "ShaderNodeFresnel", "location": [1220.0, -380.0], "inputs": {"IOR": 1.4500000476837158, "Normal": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Math", "type": "ShaderNodeMath", "location": [1620.0, -180.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "LESS_THAN", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [1420.0, -180.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate HSV", "type": "ShaderNodeSeparateHSV", "location": [1420.0, -380.0], "inputs": {"Color": [0.800000011920929, 0.800000011920929, 0.800000011920929, 1.0]}, "attributes": {}}, {"name": "Combine RGB", "type": "ShaderNodeCombineRGB", "location": [1620.0, -380.0], "inputs": {"R": 1.0, "G": 1.0, "B": 0.0}, "attributes": {}}, {"name": "Mix", "type": "ShaderNodeMixRGB", "location": [1820.0, -400.0], "inputs": {"Fac": 0.5, "Color1": [0.5, 0.5, 0.5, 1.0], "Color2": [0.5, 0.5, 0.5, 1.0]}, "attributes": {"blend_type": "MIX", "use_alpha": false, "use_clamp": false}}, {"name": "Refraction BSDF", "type": "ShaderNodeBsdfRefraction", "location": [2020.0, -380.0], "inputs": {"Color": [1.0, 1.0, 1.0, 1.0], "Roughness": 0.0, "IOR": 1.4500000476837158, "Normal": [0.0, 0.0, 0.0], "Weight": 0.0}, "attributes": {"distribution": "BECKMANN"}}, {"name": "Glossy BSDF", "type": "ShaderNodeBsdfAnisotropic", "location": [2020.0, -580.0], "inputs": {"Color": [0.800000011920929, 0.800000011920929, 0.800000011920929, 1.0], "Roughness": 0.0, "Anisotropy": 0.0, "Rotation": 0.0, "Normal": [0.0, 0.0, 0.0], "Tangent": [0.0, 0.0, 0.0], "Weight": 0.0}, "attributes": {"distribution": "GGX"}}, {"name": "Geometry", "type": "ShaderNodeNewGeometry", "location": [1020.0, -180.0], "inputs": {}, "attributes": {}}, {"name": "White Noise Texture.001", "type": "ShaderNodeTexWhiteNoise", "location": [1220.0, -180.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "W": 0.0}, "attributes": {"noise_dimensions": "4D"}}, {"name": "Mix Shader.002", "type": "ShaderNodeMixShader", "location": [2220.0, -180.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "White Noise Texture", "type": "ShaderNodeTexWhiteNoise", "location": [1100.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "W": 0.0}, "attributes": {"noise_dimensions": "3D"}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [1100.0, -900.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "POWER", "use_clamp": false}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [1280.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.5, 0.5, 0.5], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SUBTRACT"}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [1280.0, -900.0], "inputs": {"Value": 0.5, "Value_001": 2.499999761581421, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [1640.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [1820.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "NORMALIZE"}}, {"name": "Texture Coordinate", "type": "ShaderNodeTexCoord", "location": [920.0, -700.0], "inputs": {}, "attributes": {"from_instancer": false}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [1460.0, -800.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "MULTIPLY"}}, {"name": "Bump", "type": "ShaderNodeBump", "location": [1460.0, -600.0], "inputs": {"Strength": 0.0, "Distance": 1.0, "Height": 1.0, "Normal": [0.0, 0.0, 0.0]}, "attributes": {"invert": false}}, {"name": "Attribute", "type": "ShaderNodeAttribute", "location": [1820.0, 540.0], "inputs": {}, "attributes": {"attribute_type": "OBJECT", "attribute_name": "cb_receiver"}}, {"name": "Attribute.002", "type": "ShaderNodeAttribute", "location": [1420.0, 540.0], "inputs": {}, "attributes": {"attribute_type": "GEOMETRY", "attribute_name": "CB_UV_Coordinates"}}, {"name": "Seed", "type": "ShaderNodeValue", "location": [1020.0, -80.0], "inputs": {}, "attributes": {}}, {"name": "Color", "type": "ShaderNodeValue", "location": [1620.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Light Path", "type": "ShaderNodeLightPath", "location": [2020.0, 700.0], "inputs": {}, "attributes": {}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [160.0, -560.0], "inputs": {}, "attributes": {}}], "links": [{"from_node": "Attribute.001", "to_node": "Mix Shader", "from_socket": "Fac", "to_socket": "Fac"}, {"from_node": "Mix Shader", "to_node": "Group Output", "from_socket": "Shader", "to_socket": "Socket_0"}, {"from_node": "Mix Shader.001", "to_node": "Group Output", "from_socket": "Shader", "to_socket": "Socket_1"}, {"from_node": "Test.001", "to_node": "Mix Shader.001", "from_socket": "Socket_7", "to_socket": "Shader_001"}, {"from_node": "Texture Coordinate", "to_node": "White Noise Texture", "from_socket": "Object", "to_socket": "Vector"}, {"from_node": "Vector Math.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Vector Math", "to_node": "Vector Math.001", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Vector Math.003", "to_node": "Vector Math.002", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.003", "to_node": "Vector Math.002", "from_socket": "Value", "to_socket": "Vector_001"}, {"from_node": "Math.002", "to_node": "Math.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "White Noise Texture", "to_node": "Vector Math.003", "from_socket": "Color", "to_socket": "Vector"}, {"from_node": "Bump", "to_node": "Vector Math", "from_socket": "Normal", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Math.002", "from_socket": "Socket_6", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Bump", "from_socket": "Socket_5", "to_socket": "Normal"}, {"from_node": "Geometry", "to_node": "White Noise Texture.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "White Noise Texture.001", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Fresnel", "to_node": "Math", "from_socket": "Fac", "to_socket": "Value_001"}, {"from_node": "Separate HSV", "to_node": "Combine RGB", "from_socket": "V", "to_socket": "B"}, {"from_node": "Combine RGB", "to_node": "Mix", "from_socket": "Image", "to_socket": "Color1"}, {"from_node": "Mix", "to_node": "Refraction BSDF", "from_socket": "Color", "to_socket": "Color"}, {"from_node": "Mix", "to_node": "Glossy BSDF", "from_socket": "Color", "to_socket": "Color"}, {"from_node": "Math", "to_node": "Mix Shader.002", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Refraction BSDF", "to_node": "Mix Shader.002", "from_socket": "BSDF", "to_socket": "Shader"}, {"from_node": "Glossy BSDF", "to_node": "Mix Shader.002", "from_socket": "BSDF", "to_socket": "Shader_001"}, {"from_node": "Group Input", "to_node": "Fresnel", "from_socket": "Socket_4", "to_socket": "IOR"}, {"from_node": "Group Input", "to_node": "Separate HSV", "from_socket": "Socket_2", "to_socket": "Color"}, {"from_node": "Group Input", "to_node": "Math.001", "from_socket": "Socket_3", "to_socket": "Value_001"}, {"from_node": "Vector Math.001", "to_node": "Refraction BSDF", "from_socket": "Vector", "to_socket": "Normal"}, {"from_node": "Vector Math.001", "to_node": "Glossy BSDF", "from_socket": "Vector", "to_socket": "Normal"}, {"from_node": "Group Input", "to_node": "Mix", "from_socket": "Socket_2", "to_socket": "Color2"}, {"from_node": "Mix Shader.002", "to_node": "Mix Shader", "from_socket": "Shader", "to_socket": "Shader_001"}, {"from_node": "Light Path", "to_node": "Mix Shader.005", "from_socket": "Is Camera Ray", "to_socket": "Fac"}, {"from_node": "Mix Shader.003", "to_node": "Mix Shader.005", "from_socket": "Shader", "to_socket": "Shader"}, {"from_node": "Mix Shader.004", "to_node": "Mix Shader.003", "from_socket": "Shader", "to_socket": "Shader_001"}, {"from_node": "Vector Math.004", "to_node": "Mix Shader.004", "from_socket": "Vector", "to_socket": "Shader"}, {"from_node": "Emission", "to_node": "Mix Shader.004", "from_socket": "Emission", "to_socket": "Shader_001"}, {"from_node": "Combine XYZ", "to_node": "Vector Math.004", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.004", "to_node": "Combine XYZ", "from_socket": "Value", "to_socket": "Z"}, {"from_node": "Bump.001", "to_node": "Vector Math.006", "from_socket": "Normal", "to_socket": "Vector_001"}, {"from_node": "Geometry.001", "to_node": "Vector Math.005", "from_socket": "Incoming", "to_socket": "Vector"}, {"from_node": "Geometry.001", "to_node": "Vector Math.005", "from_socket": "True Normal", "to_socket": "Vector_001"}, {"from_node": "Geometry.001", "to_node": "Vector Math.006", "from_socket": "Incoming", "to_socket": "Vector"}, {"from_node": "Vector Math.006", "to_node": "Math.005", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Vector Math.005", "to_node": "Math.005", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Attribute.003", "to_node": "Math.004", "from_socket": "Fac", "to_socket": "Value"}, {"from_node": "Math.004", "to_node": "Emission", "from_socket": "Value", "to_socket": "Strength"}, {"from_node": "Math.005", "to_node": "Math.004", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Attribute", "to_node": "Mix Shader.003", "from_socket": "Fac", "to_socket": "Fac"}, {"from_node": "Attribute.002", "to_node": "Vector Math.004", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Group Input", "to_node": "Bump.001", "from_socket": "Socket_5", "to_socket": "Normal"}, {"from_node": "Mix Shader.005", "to_node": "Mix Shader", "from_socket": "Shader", "to_socket": "Shader"}, {"from_node": "Seed", "to_node": "White Noise Texture.001", "from_socket": "Value", "to_socket": "W"}, {"from_node": "Color", "to_node": "Mix", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Color", "to_node": "Mix Shader.001", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Color", "to_node": "Mix Shader.004", "from_socket": "Value", "to_socket": "Fac"}]}',
    NODEGROUP_UV_NAME: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "UV_Map", "socket_type": "NodeSocketVector", "default_attribute_name": "UVMap", "hide_value": false, "default_value": [0.0, 0.0, 0.0], "min_value": -10000.0, "max_value": 10000.0, "subtype": "NONE"}], "nodes": [{"name": "Math", "type": "ShaderNodeMath", "location": [1000.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [800.0, 200.0], "inputs": {"Value": [0.0, 0.0, 0.0], "Value_001": 0.0, "Value_002": [0.0, 0.0, 0.0, 0.0], "Value_003": false, "Value_004": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [600.0, 0.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE", "clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [400.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Split Edges", "type": "GeometryNodeSplitEdges", "location": [200.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [-200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Coordinates", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "CORNER"}}, {"name": "Triangulate", "type": "GeometryNodeTriangulate", "location": [0.0, 300.0], "inputs": {"Selection": true, "Minimum Vertices": 4}, "attributes": {"quad_method": "SHORTEST_DIAGONAL", "ngon_method": "BEAUTY"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [400.0, 100.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [200.0, -20.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [1.0, 1.0, 1.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "MULTIPLY"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [0.0, -200.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [-200.0, -200.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Self Object", "type": "GeometryNodeSelfObject", "location": [-400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-400.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [1200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Scale", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [1500.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Split Edges", "to_node": "Set Position", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Triangulate", "to_node": "Split Edges", "from_socket": "Mesh", "to_socket": "Mesh"}, {"from_node": "Capture Attribute", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Set Position", "to_node": "Sample Index", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.001", "to_node": "Sample Index", "from_socket": "Index", "to_socket": "Index"}, {"from_node": "Face Area", "to_node": "Sample Index", "from_socket": "Area", "to_socket": "Value_Float"}, {"from_node": "Sample Index", "to_node": "Capture Attribute", "from_socket": "Value_Float", "to_socket": "Value_001"}, {"from_node": "Capture Attribute", "to_node": "Math", "from_socket": "Attribute_001", "to_socket": "Value"}, {"from_node": "Face Area.001", "to_node": "Math", "from_socket": "Area", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Store Named Attribute.001", "to_node": "Triangulate", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Self Object", "to_node": "Object Info", "from_socket": "Self Object", "to_socket": "Object"}, {"from_node": "Triangulate", "to_node": "Capture Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Object Info", "to_node": "Vector Math", "from_socket": "Scale", "to_socket": "Vector_001"}, {"from_node": "Vector Math", "to_node": "Vector Math.001", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_1", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_2", "to_socket": "Value_Vector"}, {"from_node": "Group Input", "to_node": "Vector Math.001", "from_socket": "Socket_2", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_REVERSE_ROTATION: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Vector", "socket_type": "NodeSocketVector", "default_attribute_name": "", "hide_value": false, "default_value": [0.0, 0.0, 0.0], "min_value": -10000.0, "max_value": 10000.0, "subtype": "NONE"}], "nodes": [{"name": "Group Input", "type": "NodeGroupInput", "location": [-720.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [320.0000305175781, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [520.0, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [119.99996948242188, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Combine XYZ.003", "type": "ShaderNodeCombineXYZ", "location": [279.9999694824219, -130.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.002", "type": "ShaderNodeCombineXYZ", "location": [79.99996948242188, -130.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.001", "type": "ShaderNodeCombineXYZ", "location": [-120.00003051757812, -30.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Reroute", "type": "NodeReroute", "location": [219.99996948242188, -270.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [-320.0000305175781, -230.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [-520.0, -230.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [710.0, 0.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Reroute", "to_node": "Combine XYZ.003", "from_socket": "Output", "to_socket": "X"}, {"from_node": "Transform Geometry", "to_node": "Transform Geometry.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Combine XYZ.001", "from_socket": "Z", "to_socket": "Z"}, {"from_node": "Transform Geometry.001", "to_node": "Transform Geometry.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Reroute", "from_socket": "X", "to_socket": "Input"}, {"from_node": "Combine XYZ.001", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Combine XYZ.002", "to_node": "Transform Geometry.001", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Combine XYZ.003", "to_node": "Transform Geometry.002", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Separate XYZ", "to_node": "Combine XYZ.002", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Vector Math.001", "to_node": "Separate XYZ", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Vector Math.001", "from_socket": "Socket_2", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Transform Geometry", "from_socket": "Socket_1", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CAM_PLACEMENT_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Reroute.005", "type": "NodeReroute", "location": [5000.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [9200.0, 600.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Reroute", "type": "NodeReroute", "location": [4100.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [1700.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Index.002", "type": "GeometryNodeInputIndex", "location": [1900.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, 0.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [2500.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face", "type": "GeometryNodeCornersOfFace", "location": [2300.0, 0.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, 0.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, 0.0], "inputs": {"Index": 0, "Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.003", "type": "GeometryNodeInputIndex", "location": [1900.0, -400.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.001", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -400.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [2500.0, -500.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.001", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -400.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.001", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -400.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.001", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -400.0], "inputs": {"Index": 0, "Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2100.0, -200.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.002", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, 0.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [1700.0, -800.0], "inputs": {}, "attributes": {}}, {"name": "Index.004", "type": "GeometryNodeInputIndex", "location": [1900.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.002", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -600.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [2500.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.002", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -600.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.002", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -600.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.002", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -600.0], "inputs": {"Index": 0, "Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.005", "type": "GeometryNodeInputIndex", "location": [1900.0, -1000.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.003", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -1000.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [2500.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ.005", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -1000.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Corners of Face.003", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -1000.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.003", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -1000.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.003", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -1000.0], "inputs": {"Index": 0, "Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2100.0, -800.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.006", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -800.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.004", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.003", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Combine XYZ.001", "type": "ShaderNodeCombineXYZ", "location": [3200.0, 0.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.002", "type": "ShaderNodeCombineXYZ", "location": [3200.0, -600.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [3500.0, 300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SUBTRACT"}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [4200.0, 400.0], "inputs": {"Translation": [0.5, 0.5, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Combine XYZ.003", "type": "ShaderNodeCombineXYZ", "location": [4400.0, 640.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Mesh to Points", "type": "GeometryNodeMeshToPoints", "location": [4000.0, 500.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Radius": 0.05000000074505806}, "attributes": {"mode": "FACES"}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [5400.0, 60.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [5400.0, 400.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Index.006", "type": "GeometryNodeInputIndex", "location": [6000.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [7500.0, 1200.0], "inputs": {"Selection": true, "Name": "cam_pos", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [7300.0, 1200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Combine XYZ.007", "type": "ShaderNodeCombineXYZ", "location": [7100.0, 1200.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Named Attribute", "type": "GeometryNodeInputNamedAttribute", "location": [6900.0, 1200.0], "inputs": {"Name": "rotation"}, "attributes": {"data_type": "FLOAT"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [7100.0, 1000.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Index": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE", "clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [6900.0, 1000.0], "inputs": {}, "attributes": {}}, {"name": "Position.008", "type": "GeometryNodeInputPosition", "location": [6900.0, 840.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [8300.0, 700.0], "inputs": {"Selection": true, "Name": "cam_width", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Store Named Attribute.004", "type": "GeometryNodeStoreNamedAttribute", "location": [8500.0, 700.0], "inputs": {"Selection": true, "Name": "cam_height", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Sample Index.003", "type": "GeometryNodeSampleIndex", "location": [8300.0, 400.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Sample Index.001", "type": "GeometryNodeSampleIndex", "location": [8100.0, 500.0], "inputs": {"Value_Float": 0.0, "Value_Int": 0, "Value_Vector": [0.0, 0.0, 0.0], "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Index": 2}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [7900.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DISTANCE"}}, {"name": "Edge Vertices", "type": "GeometryNodeInputMeshEdgeVertices", "location": [7700.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.006", "type": "NodeReroute", "location": [7700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Combine XYZ", "type": "ShaderNodeCombineXYZ", "location": [1360.0, 300.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Math", "type": "ShaderNodeMath", "location": [900.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Integer", "type": "FunctionNodeInputInt", "location": [700.0, 400.0], "inputs": {}, "attributes": {"integer": 180}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [1100.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.5707950592041016, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Points", "type": "GeometryNodePoints", "location": [1360.0, 500.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.004", "type": "ShaderNodeMath", "location": [1360.0, 720.0], "inputs": {"Value": 0.5, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Index", "type": "GeometryNodeInputIndex", "location": [1100.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [-890.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [-710.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.003", "type": "GeometryNodeTransform", "location": [900.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 0.0]}, "attributes": {}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [1100.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Boolean Math", "type": "FunctionNodeBooleanMath", "location": [5800.0, 300.0], "inputs": {"Boolean": false, "Boolean_001": false}, "attributes": {"operation": "NOT"}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [5600.0, 300.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "EQUAL", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2200.0, 400.0], "inputs": {}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [5200.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [3800.0, 500.0], "inputs": {"Value": [0.0, 0.0, 0.0], "Value_001": 0.0, "Value_002": [0.0, 0.0, 0.0, 0.0], "Value_003": false, "Value_004": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE"}}, {"name": "Delete Geometry.001", "type": "GeometryNodeDeleteGeometry", "location": [6000.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Delete Geometry.002", "type": "GeometryNodeDeleteGeometry", "location": [6200.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [5200.0, 500.0], "inputs": {"Selection": true, "Name": "rotation", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Instance on Points.001", "type": "GeometryNodeInstanceOnPoints", "location": [4400.0, 500.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Realize Instances.001", "type": "GeometryNodeRealizeInstances", "location": [4860.0, 500.0], "inputs": {}, "attributes": {}}, {"name": "Instance on Points", "type": "GeometryNodeInstanceOnPoints", "location": [1640.0001220703125, 400.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Delete Geometry", "type": "GeometryNodeDeleteGeometry", "location": [1300.0, -100.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [-1070.0220947265625, -99.675537109375], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Grid", "type": "GeometryNodeMeshGrid", "location": [4000.0, 300.0], "inputs": {"Size X": 1.0, "Size Y": 1.0, "Vertices X": 2, "Vertices Y": 2}, "attributes": {}}, {"name": "Rotate Instances", "type": "GeometryNodeRotateInstances", "location": [4600.0, 500.0], "inputs": {"Selection": true, "Rotation": [0.0, 0.0, 0.33335787057876587], "Pivot Point": [0.0, 0.0, 0.0], "Local Space": false}, "attributes": {}}, {"name": "Group Input.001", "type": "NodeGroupInput", "location": [-110.00830078125, -379.699462890625], "inputs": {}, "attributes": {}}, {"name": "Object Info.001", "type": "GeometryNodeObjectInfo", "location": [109.99169921875, -299.699462890625], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [309.99169921875, -99.699462890625], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-1270.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}], "links": [{"from_node": "Transform Geometry.003", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Delete Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Index", "to_node": "Delete Geometry", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Delete Geometry", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Points", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Combine XYZ", "to_node": "Instance on Points", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Index.001", "to_node": "Math", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Integer", "to_node": "Math", "from_socket": "Integer", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Combine XYZ", "from_socket": "Value", "to_socket": "Z"}, {"from_node": "Integer", "to_node": "Points", "from_socket": "Integer", "to_socket": "Count"}, {"from_node": "Instance on Points", "to_node": "Realize Instances", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Index.002", "to_node": "Evaluate on Domain", "from_socket": "Index", "to_socket": "Value_Int"}, {"from_node": "Evaluate on Domain", "to_node": "Corners of Face", "from_socket": "Value_Int", "to_socket": "Face Index"}, {"from_node": "Separate XYZ.001", "to_node": "Math.002", "from_socket": "X", "to_socket": "Value"}, {"from_node": "Corners of Face", "to_node": "Vertex of Corner", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner", "to_node": "Evaluate at Index", "from_socket": "Vertex Index", "to_socket": "Value_Int"}, {"from_node": "Vertex of Corner", "to_node": "Evaluate at Index", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position", "to_node": "Evaluate at Index", "from_socket": "Position", "to_socket": "Value_Vector"}, {"from_node": "Evaluate at Index", "to_node": "Separate XYZ.002", "from_socket": "Value_Vector", "to_socket": "Vector"}, {"from_node": "Position.002", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Realize Instances", "to_node": "Capture Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.003", "to_node": "Evaluate on Domain.001", "from_socket": "Index", "to_socket": "Value_Int"}, {"from_node": "Evaluate on Domain.001", "to_node": "Corners of Face.001", "from_socket": "Value_Int", "to_socket": "Face Index"}, {"from_node": "Corners of Face.001", "to_node": "Vertex of Corner.001", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.001", "to_node": "Evaluate at Index.001", "from_socket": "Vertex Index", "to_socket": "Value_Int"}, {"from_node": "Vertex of Corner.001", "to_node": "Evaluate at Index.001", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.001", "to_node": "Evaluate at Index.001", "from_socket": "Position", "to_socket": "Value_Vector"}, {"from_node": "Evaluate at Index.001", "to_node": "Separate XYZ.003", "from_socket": "Value_Vector", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Corners of Face", "from_socket": "X", "to_socket": "Weights"}, {"from_node": "Math.002", "to_node": "Corners of Face.001", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Index.004", "to_node": "Evaluate on Domain.002", "from_socket": "Index", "to_socket": "Value_Int"}, {"from_node": "Evaluate on Domain.002", "to_node": "Corners of Face.002", "from_socket": "Value_Int", "to_socket": "Face Index"}, {"from_node": "Corners of Face.002", "to_node": "Vertex of Corner.002", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.002", "to_node": "Evaluate at Index.002", "from_socket": "Vertex Index", "to_socket": "Value_Int"}, {"from_node": "Vertex of Corner.002", "to_node": "Evaluate at Index.002", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.004", "to_node": "Evaluate at Index.002", "from_socket": "Position", "to_socket": "Value_Vector"}, {"from_node": "Evaluate at Index.002", "to_node": "Separate XYZ.004", "from_socket": "Value_Vector", "to_socket": "Vector"}, {"from_node": "Position.003", "to_node": "Separate XYZ.006", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Index.005", "to_node": "Evaluate on Domain.003", "from_socket": "Index", "to_socket": "Value_Int"}, {"from_node": "Evaluate on Domain.003", "to_node": "Corners of Face.003", "from_socket": "Value_Int", "to_socket": "Face Index"}, {"from_node": "Corners of Face.003", "to_node": "Vertex of Corner.003", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.003", "to_node": "Evaluate at Index.003", "from_socket": "Vertex Index", "to_socket": "Value_Int"}, {"from_node": "Vertex of Corner.003", "to_node": "Evaluate at Index.003", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.005", "to_node": "Evaluate at Index.003", "from_socket": "Position", "to_socket": "Value_Vector"}, {"from_node": "Evaluate at Index.003", "to_node": "Separate XYZ.005", "from_socket": "Value_Vector", "to_socket": "Vector"}, {"from_node": "Math.003", "to_node": "Corners of Face.003", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Corners of Face.002", "from_socket": "Y", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Math.003", "from_socket": "Y", "to_socket": "Value"}, {"from_node": "Separate XYZ.002", "to_node": "Combine XYZ.001", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.004", "to_node": "Combine XYZ.001", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Separate XYZ.003", "to_node": "Combine XYZ.002", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.005", "to_node": "Combine XYZ.002", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Mesh to Points", "to_node": "Instance on Points.001", "from_socket": "Points", "to_socket": "Points"}, {"from_node": "Transform Geometry", "to_node": "Instance on Points.001", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Capture Attribute", "to_node": "Mesh to Points", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Vector Math", "to_node": "Capture Attribute", "from_socket": "Vector", "to_socket": "Value"}, {"from_node": "Capture Attribute", "to_node": "Instance on Points.001", "from_socket": "Attribute", "to_socket": "Scale"}, {"from_node": "Combine XYZ.001", "to_node": "Mesh to Points", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Combine XYZ.001", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Combine XYZ.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Grid", "to_node": "Transform Geometry", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Realize Instances.001", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Rotate Instances", "to_node": "Realize Instances.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Reroute.005", "to_node": "Store Named Attribute", "from_socket": "Output", "to_socket": "Value_Float"}, {"from_node": "Math.004", "to_node": "Reroute", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Store Named Attribute", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Face Area", "to_node": "Attribute Statistic", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Store Named Attribute", "to_node": "Delete Geometry.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Compare", "from_socket": "Min", "to_socket": "A"}, {"from_node": "Face Area.001", "to_node": "Compare", "from_socket": "Area", "to_socket": "B"}, {"from_node": "Compare", "to_node": "Boolean Math", "from_socket": "Result", "to_socket": "Boolean"}, {"from_node": "Boolean Math", "to_node": "Delete Geometry.001", "from_socket": "Boolean", "to_socket": "Selection"}, {"from_node": "Instance on Points.001", "to_node": "Rotate Instances", "from_socket": "Instances", "to_socket": "Instances"}, {"from_node": "Reroute", "to_node": "Reroute.005", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Combine XYZ.003", "to_node": "Rotate Instances", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Reroute", "to_node": "Combine XYZ.003", "from_socket": "Output", "to_socket": "Z"}, {"from_node": "Position.008", "to_node": "Sample Index", "from_socket": "Position", "to_socket": "Value_Vector"}, {"from_node": "Math.001", "to_node": "Math.004", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Delete Geometry.001", "to_node": "Delete Geometry.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.006", "to_node": "Delete Geometry.002", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 1", "to_socket": "Vector"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 2", "to_socket": "Vector_001"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.001", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Reroute.006", "to_node": "Sample Index.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.003", "to_node": "Store Named Attribute.004", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.006", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.006", "to_node": "Sample Index.003", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Sample Index.001", "to_node": "Store Named Attribute.003", "from_socket": "Value_Float", "to_socket": "Value_Float"}, {"from_node": "Sample Index.003", "to_node": "Store Named Attribute.004", "from_socket": "Value_Float", "to_socket": "Value_Float"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.003", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Named Attribute", "to_node": "Combine XYZ.007", "from_socket": "Attribute_Float", "to_socket": "Z"}, {"from_node": "Combine XYZ.007", "to_node": "Vector Math.002", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Sample Index", "to_node": "Vector Math.002", "from_socket": "Value_Vector", "to_socket": "Vector_001"}, {"from_node": "Vector Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Vector", "to_socket": "Value_Vector"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.002", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.002", "to_node": "Sample Index", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Realize Instances.002", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Realize Instances.002", "to_node": "Group", "from_socket": "Geometry", "to_socket": "Socket_1"}, {"from_node": "Group Input.001", "to_node": "Object Info.001", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Object Info.001", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Group", "to_node": "Transform Geometry.003", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.004", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CLIPPING_PLANES_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group.002", "type": "GeometryNodeGroup", "location": [1400.0, -700.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [1900.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [1400.0, -100.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1700.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2700.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_height", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2300.0, 100.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2500.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2100.0, -100.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2500.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2300.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2700.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [1100.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group.001", "type": "GeometryNodeGroup", "location": [1400.0, -300.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [2900.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_clip", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3300.0, 100.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value_001"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Collection Info", "to_node": "Group", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Object Info", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Object Info", "to_node": "Group.001", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Collection Info.001", "to_node": "Group.001", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Collection Info.002", "to_node": "Group.002", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Object Info", "to_node": "Group.002", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Group", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Group.001", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Group.002", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CAM_PLACEMENT_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [6500.0, 200.0], "inputs": {"Selection": true, "Name": "rotation", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [6300.0, 200.0], "inputs": {"Selection": true, "Name": "fov", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [6100.0, 200.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Points", "type": "GeometryNodePoints", "location": [5900.0, 200.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [6100.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [5900.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "ARCTANGENT", "use_clamp": false}}, {"name": "Attribute Statistic.001", "type": "GeometryNodeAttributeStatistic", "location": [5700.0, 200.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [5500.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [5300.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [5300.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [5100.0, 100.0], "inputs": {"Value": 1.0, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [4900.0, 100.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [4700.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [6500.0, -100.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "GREATER_THAN", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Attribute Statistic.002", "type": "GeometryNodeAttributeStatistic", "location": [6300.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [6100.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [5900.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Reroute", "type": "NodeReroute", "location": [6100.0, -500.0], "inputs": {"Input": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Align Euler to Vector", "type": "FunctionNodeAlignEulerToVector", "location": [5000.0, -400.0], "inputs": {"Rotation": [0.0, 0.0, 0.0], "Factor": 1.0, "Vector": [0.0, 0.0, 1.0]}, "attributes": {"axis": "Z", "pivot_axis": "AUTO"}}, {"name": "Vector Math.006", "type": "ShaderNodeVectorMath", "location": [4600.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [5500.0, 200.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, -1.0]}, "attributes": {}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [5200.0, -300.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [3600.0, -300.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [3400.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [3200.0, -300.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [3200.0, -500.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [3000.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.004", "type": "ShaderNodeVectorMath", "location": [3800.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "NORMALIZE"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [3600.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Set Position.001", "type": "GeometryNodeSetPosition", "location": [4000.0, -300.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Attribute Statistic.004", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -800.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [4000.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.005", "type": "ShaderNodeVectorMath", "location": [4200.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [4000.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [4800.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Attribute Statistic.003", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -400.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE"}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [3400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.002", "type": "GeometryNodeStoreNamedAttribute", "location": [6700.0, 200.0], "inputs": {"Selection": true, "Name": "full_sphere", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "BOOLEAN", "domain": "POINT"}}, {"name": "Vector Math.007", "type": "ShaderNodeVectorMath", "location": [3800.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [3600.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic.005", "type": "GeometryNodeAttributeStatistic", "location": [4000.0, 100.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [3800.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.003", "type": "NodeReroute", "location": [4400.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [4200.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [6840.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [6900.0, 200.0], "inputs": {"Selection": true, "Name": "clipping", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [4200.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.001", "type": "NodeReroute", "location": [5440.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [7100.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Realize Instances.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Position.002", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic.002", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.002", "to_node": "Compare", "from_socket": "Max", "to_socket": "A"}, {"from_node": "Reroute.001", "to_node": "Set Position", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Position.001", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Math", "from_socket": "Z", "to_socket": "Value_001"}, {"from_node": "Position.001", "to_node": "Vector Math", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Math", "to_node": "Vector Math", "from_socket": "Value", "to_socket": "Scale"}, {"from_node": "Vector Math", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.003", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic.001", "from_socket": "Value", "to_socket": "Attribute_001"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic.001", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.001", "to_node": "Math.001", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Compare", "to_node": "Store Named Attribute.002", "from_socket": "Result", "to_socket": "Value_Bool"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Reroute", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Value_Vector"}, {"from_node": "Vector Math.003", "to_node": "Align Euler to Vector", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.001", "to_node": "Math.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Set Position", "to_node": "Attribute Statistic.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Transform Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Object Info", "to_node": "Vector Math.002", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Vector Math.002", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Align Euler to Vector", "to_node": "Reroute", "from_socket": "Rotation", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Set Position.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.004", "to_node": "Set Position.001", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.004", "to_node": "Vector Math.004", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Face Area", "to_node": "Attribute Statistic.004", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Vector Math.005", "to_node": "Attribute Statistic.003", "from_socket": "Vector", "to_socket": "Attribute_001"}, {"from_node": "Face Area", "to_node": "Vector Math.005", "from_socket": "Area", "to_socket": "Scale"}, {"from_node": "Position.005", "to_node": "Vector Math.005", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.003", "to_node": "Vector Math.006", "from_socket": "Sum_001", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.004", "to_node": "Vector Math.006", "from_socket": "Sum", "to_socket": "Vector_001"}, {"from_node": "Vector Math.006", "to_node": "Vector Math.003", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Set Position.001", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.003", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.004", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Vector Math.007", "to_node": "Attribute Statistic.005", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Vector Math.007", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute.002", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.003", "from_socket": "Output", "to_socket": "Value_Float"}, {"from_node": "Reroute.003", "to_node": "Reroute.002", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Math.002", "to_node": "Reroute.003", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Attribute Statistic.005", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic.005", "to_node": "Math.002", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Store Named Attribute.003", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Group", "to_node": "Reroute.001", "from_socket": "Socket_0", "to_socket": "Input"}, {"from_node": "Convex Hull.001", "to_node": "Group", "from_socket": "Convex Hull", "to_socket": "Socket_1"}, {"from_node": "Reroute.001", "to_node": "Attribute Statistic.002", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Align Euler to Vector", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}]}',
    NODEGROUP_CLIPPING_PLANES_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [1100.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [1300.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2600.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2400.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 0.009999999776482582, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2400.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2600.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "MINIMUM", "use_clamp": false}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2800.0, 300.0], "inputs": {"Selection": true, "Name": "clip_start", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2400.0, 300.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [3000.0, 300.0], "inputs": {"Selection": true, "Name": "clip_end", "Value_Vector": [0.0, 0.0, 0.0], "Value_Float": 0.0, "Value_Color": [0.0, 0.0, 0.0, 0.0], "Value_Bool": false, "Value_Int": 0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3200.0, 300.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [1500.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [1500.0, -400.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [1500.0, -720.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Rotation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2600.0, 300.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2000.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1800.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [2000.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2200.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0, "Attribute_001": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}], "links": [{"from_node": "Object Info", "to_node": "Vector Math", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Collection Info", "to_node": "Transform Geometry", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Vector Math", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.001", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.002", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Collection Info.002", "to_node": "Transform Geometry.002", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Collection Info.001", "to_node": "Transform Geometry.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.001", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Position", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Math.002", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Math", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value_Float"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Attribute Statistic", "to_node": "Math.003", "from_socket": "Min", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value"}]}'
}


v4_1_nodes = {
    NODEGROUP_MAIN_NAME: '{"type": "SHADER", "interface": [{"in_out": "OUTPUT", "name": "Surface", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}, {"in_out": "OUTPUT", "name": "Volume", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Color", "socket_type": "NodeSocketColor", "default_attribute_name": "", "hide_value": false, "default_value": [1.0, 1.0, 1.0, 1.0]}, {"in_out": "INPUT", "name": "Transmission", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 1.0, "min_value": 0.0, "max_value": 1.0, "subtype": "FACTOR"}, {"in_out": "INPUT", "name": "IOR", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 1.5, "min_value": -3.4028234663852886e+38, "max_value": 3.4028234663852886e+38, "subtype": "NONE"}, {"in_out": "INPUT", "name": "Normal", "socket_type": "NodeSocketVector", "default_attribute_name": "", "hide_value": true, "default_value": [0.0, 0.0, 0.0], "min_value": -3.4028234663852886e+38, "max_value": 3.4028234663852886e+38, "subtype": "NONE"}, {"in_out": "INPUT", "name": "Roughness", "socket_type": "NodeSocketFloat", "default_attribute_name": "", "hide_value": false, "default_value": 0.0, "min_value": 0.0, "max_value": 1.0, "subtype": "FACTOR"}, {"in_out": "INPUT", "name": "Volume", "socket_type": "NodeSocketShader", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Attribute.001", "type": "ShaderNodeAttribute", "location": [2660.0, 360.0], "inputs": {}, "attributes": {"attribute_type": "OBJECT", "attribute_name": "cb_contributor"}}, {"name": "Mix Shader", "type": "ShaderNodeMixShader", "location": [2880.0, 160.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3120.0, 160.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Test.001", "type": "NodeGroupInput", "location": [2680.0, -120.0], "inputs": {}, "attributes": {}}, {"name": "Mix Shader.001", "type": "ShaderNodeMixShader", "location": [2880.0, 20.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Mix Shader.003", "type": "ShaderNodeMixShader", "location": [2020.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Mix Shader.004", "type": "ShaderNodeMixShader", "location": [1820.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Vector Math.004", "type": "ShaderNodeVectorMath", "location": [1620.0, 360.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Emission", "type": "ShaderNodeEmission", "location": [1620.0, 160.0], "inputs": {"Color": [1.0, 1.0, 1.0, 1.0], "Strength": 1.0, "Weight": 0.0}, "attributes": {}}, {"name": "Combine XYZ", "type": "ShaderNodeCombineXYZ", "location": [1420.0, 360.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Mix Shader.005", "type": "ShaderNodeMixShader", "location": [2220.0, 360.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "Math.004", "type": "ShaderNodeMath", "location": [1220.0, 360.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Attribute.003", "type": "ShaderNodeAttribute", "location": [1020.0, 360.0], "inputs": {}, "attributes": {"attribute_type": "GEOMETRY", "attribute_name": "CB_UV_Scale"}}, {"name": "Math.005", "type": "ShaderNodeMath", "location": [1020.0, 160.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Vector Math.005", "type": "ShaderNodeVectorMath", "location": [800.0, 160.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DOT_PRODUCT"}}, {"name": "Vector Math.006", "type": "ShaderNodeVectorMath", "location": [800.0, 360.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DOT_PRODUCT"}}, {"name": "Geometry.001", "type": "ShaderNodeNewGeometry", "location": [580.0, 360.0], "inputs": {}, "attributes": {}}, {"name": "Bump.001", "type": "ShaderNodeBump", "location": [580.0, 100.0], "inputs": {"Strength": 0.0, "Distance": 1.0, "Height": 1.0, "Normal": [0.0, 0.0, 0.0]}, "attributes": {"invert": false}}, {"name": "Fresnel", "type": "ShaderNodeFresnel", "location": [1220.0, -380.0], "inputs": {"IOR": 1.4500000476837158, "Normal": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Math", "type": "ShaderNodeMath", "location": [1620.0, -180.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "LESS_THAN", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [1420.0, -180.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate HSV", "type": "ShaderNodeSeparateHSV", "location": [1420.0, -380.0], "inputs": {"Color": [0.800000011920929, 0.800000011920929, 0.800000011920929, 1.0]}, "attributes": {}}, {"name": "Combine RGB", "type": "ShaderNodeCombineRGB", "location": [1620.0, -380.0], "inputs": {"R": 1.0, "G": 1.0, "B": 0.0}, "attributes": {}}, {"name": "Mix", "type": "ShaderNodeMixRGB", "location": [1820.0, -400.0], "inputs": {"Fac": 0.5, "Color1": [0.5, 0.5, 0.5, 1.0], "Color2": [0.5, 0.5, 0.5, 1.0]}, "attributes": {"blend_type": "MIX", "use_alpha": false, "use_clamp": false}}, {"name": "Refraction BSDF", "type": "ShaderNodeBsdfRefraction", "location": [2020.0, -380.0], "inputs": {"Color": [1.0, 1.0, 1.0, 1.0], "Roughness": 0.0, "IOR": 1.4500000476837158, "Normal": [0.0, 0.0, 0.0], "Weight": 0.0}, "attributes": {"distribution": "BECKMANN"}}, {"name": "Glossy BSDF", "type": "ShaderNodeBsdfAnisotropic", "location": [2020.0, -580.0], "inputs": {"Color": [0.800000011920929, 0.800000011920929, 0.800000011920929, 1.0], "Roughness": 0.0, "Anisotropy": 0.0, "Rotation": 0.0, "Normal": [0.0, 0.0, 0.0], "Tangent": [0.0, 0.0, 0.0], "Weight": 0.0}, "attributes": {"distribution": "GGX"}}, {"name": "Geometry", "type": "ShaderNodeNewGeometry", "location": [1020.0, -180.0], "inputs": {}, "attributes": {}}, {"name": "White Noise Texture.001", "type": "ShaderNodeTexWhiteNoise", "location": [1220.0, -180.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "W": 0.0}, "attributes": {"noise_dimensions": "4D"}}, {"name": "Mix Shader.002", "type": "ShaderNodeMixShader", "location": [2220.0, -180.0], "inputs": {"Fac": 0.5}, "attributes": {}}, {"name": "White Noise Texture", "type": "ShaderNodeTexWhiteNoise", "location": [1100.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "W": 0.0}, "attributes": {"noise_dimensions": "3D"}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [1100.0, -900.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "POWER", "use_clamp": false}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [1280.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.5, 0.5, 0.5], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SUBTRACT"}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [1280.0, -900.0], "inputs": {"Value": 0.5, "Value_001": 2.499999761581421, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [1640.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [1820.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "NORMALIZE"}}, {"name": "Texture Coordinate", "type": "ShaderNodeTexCoord", "location": [920.0, -700.0], "inputs": {}, "attributes": {"from_instancer": false}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [1460.0, -800.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "MULTIPLY"}}, {"name": "Bump", "type": "ShaderNodeBump", "location": [1460.0, -600.0], "inputs": {"Strength": 0.0, "Distance": 1.0, "Height": 1.0, "Normal": [0.0, 0.0, 0.0]}, "attributes": {"invert": false}}, {"name": "Attribute", "type": "ShaderNodeAttribute", "location": [1820.0, 540.0], "inputs": {}, "attributes": {"attribute_type": "OBJECT", "attribute_name": "cb_receiver"}}, {"name": "Attribute.002", "type": "ShaderNodeAttribute", "location": [1420.0, 540.0], "inputs": {}, "attributes": {"attribute_type": "GEOMETRY", "attribute_name": "CB_UV_Coordinates"}}, {"name": "Seed", "type": "ShaderNodeValue", "location": [1020.0, -80.0], "inputs": {}, "attributes": {}}, {"name": "Color", "type": "ShaderNodeValue", "location": [1620.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Light Path", "type": "ShaderNodeLightPath", "location": [2020.0, 700.0], "inputs": {}, "attributes": {}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [160.0, -560.0], "inputs": {}, "attributes": {}}], "links": [{"from_node": "Attribute.001", "to_node": "Mix Shader", "from_socket": "Fac", "to_socket": "Fac"}, {"from_node": "Mix Shader", "to_node": "Group Output", "from_socket": "Shader", "to_socket": "Socket_0"}, {"from_node": "Mix Shader.001", "to_node": "Group Output", "from_socket": "Shader", "to_socket": "Socket_1"}, {"from_node": "Test.001", "to_node": "Mix Shader.001", "from_socket": "Socket_7", "to_socket": "Shader_001"}, {"from_node": "Texture Coordinate", "to_node": "White Noise Texture", "from_socket": "Object", "to_socket": "Vector"}, {"from_node": "Vector Math.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Vector Math", "to_node": "Vector Math.001", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Vector Math.003", "to_node": "Vector Math.002", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.003", "to_node": "Vector Math.002", "from_socket": "Value", "to_socket": "Vector_001"}, {"from_node": "Math.002", "to_node": "Math.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "White Noise Texture", "to_node": "Vector Math.003", "from_socket": "Color", "to_socket": "Vector"}, {"from_node": "Bump", "to_node": "Vector Math", "from_socket": "Normal", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Math.002", "from_socket": "Socket_6", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Bump", "from_socket": "Socket_5", "to_socket": "Normal"}, {"from_node": "Geometry", "to_node": "White Noise Texture.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "White Noise Texture.001", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Fresnel", "to_node": "Math", "from_socket": "Fac", "to_socket": "Value_001"}, {"from_node": "Separate HSV", "to_node": "Combine RGB", "from_socket": "V", "to_socket": "B"}, {"from_node": "Combine RGB", "to_node": "Mix", "from_socket": "Image", "to_socket": "Color1"}, {"from_node": "Mix", "to_node": "Refraction BSDF", "from_socket": "Color", "to_socket": "Color"}, {"from_node": "Mix", "to_node": "Glossy BSDF", "from_socket": "Color", "to_socket": "Color"}, {"from_node": "Math", "to_node": "Mix Shader.002", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Refraction BSDF", "to_node": "Mix Shader.002", "from_socket": "BSDF", "to_socket": "Shader"}, {"from_node": "Glossy BSDF", "to_node": "Mix Shader.002", "from_socket": "BSDF", "to_socket": "Shader_001"}, {"from_node": "Group Input", "to_node": "Fresnel", "from_socket": "Socket_4", "to_socket": "IOR"}, {"from_node": "Group Input", "to_node": "Separate HSV", "from_socket": "Socket_2", "to_socket": "Color"}, {"from_node": "Group Input", "to_node": "Math.001", "from_socket": "Socket_3", "to_socket": "Value_001"}, {"from_node": "Vector Math.001", "to_node": "Refraction BSDF", "from_socket": "Vector", "to_socket": "Normal"}, {"from_node": "Vector Math.001", "to_node": "Glossy BSDF", "from_socket": "Vector", "to_socket": "Normal"}, {"from_node": "Group Input", "to_node": "Mix", "from_socket": "Socket_2", "to_socket": "Color2"}, {"from_node": "Mix Shader.002", "to_node": "Mix Shader", "from_socket": "Shader", "to_socket": "Shader_001"}, {"from_node": "Light Path", "to_node": "Mix Shader.005", "from_socket": "Is Camera Ray", "to_socket": "Fac"}, {"from_node": "Mix Shader.003", "to_node": "Mix Shader.005", "from_socket": "Shader", "to_socket": "Shader"}, {"from_node": "Mix Shader.004", "to_node": "Mix Shader.003", "from_socket": "Shader", "to_socket": "Shader_001"}, {"from_node": "Vector Math.004", "to_node": "Mix Shader.004", "from_socket": "Vector", "to_socket": "Shader"}, {"from_node": "Emission", "to_node": "Mix Shader.004", "from_socket": "Emission", "to_socket": "Shader_001"}, {"from_node": "Combine XYZ", "to_node": "Vector Math.004", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.004", "to_node": "Combine XYZ", "from_socket": "Value", "to_socket": "Z"}, {"from_node": "Bump.001", "to_node": "Vector Math.006", "from_socket": "Normal", "to_socket": "Vector_001"}, {"from_node": "Geometry.001", "to_node": "Vector Math.005", "from_socket": "Incoming", "to_socket": "Vector"}, {"from_node": "Geometry.001", "to_node": "Vector Math.005", "from_socket": "True Normal", "to_socket": "Vector_001"}, {"from_node": "Geometry.001", "to_node": "Vector Math.006", "from_socket": "Incoming", "to_socket": "Vector"}, {"from_node": "Vector Math.006", "to_node": "Math.005", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Vector Math.005", "to_node": "Math.005", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Attribute.003", "to_node": "Math.004", "from_socket": "Fac", "to_socket": "Value"}, {"from_node": "Math.004", "to_node": "Emission", "from_socket": "Value", "to_socket": "Strength"}, {"from_node": "Math.005", "to_node": "Math.004", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Attribute", "to_node": "Mix Shader.003", "from_socket": "Fac", "to_socket": "Fac"}, {"from_node": "Attribute.002", "to_node": "Vector Math.004", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Group Input", "to_node": "Bump.001", "from_socket": "Socket_5", "to_socket": "Normal"}, {"from_node": "Mix Shader.005", "to_node": "Mix Shader", "from_socket": "Shader", "to_socket": "Shader"}, {"from_node": "Seed", "to_node": "White Noise Texture.001", "from_socket": "Value", "to_socket": "W"}, {"from_node": "Color", "to_node": "Mix", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Color", "to_node": "Mix Shader.001", "from_socket": "Value", "to_socket": "Fac"}, {"from_node": "Color", "to_node": "Mix Shader.004", "from_socket": "Value", "to_socket": "Fac"}]}',
    NODEGROUP_UV_NAME: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "UV_Map", "socket_type": "NodeSocketVector", "default_attribute_name": "UVMap", "hide_value": false, "default_value": [0.0, 0.0, 0.0], "min_value": -10000.0, "max_value": 10000.0, "subtype": "NONE"}], "nodes": [{"name": "Math", "type": "ShaderNodeMath", "location": [1000.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [800.0, 200.0], "inputs": {"Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [600.0, 0.0], "inputs": {"Value": 0.0, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE", "clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [400.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Split Edges", "type": "GeometryNodeSplitEdges", "location": [200.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [-200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Coordinates", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "CORNER"}}, {"name": "Triangulate", "type": "GeometryNodeTriangulate", "location": [0.0, 300.0], "inputs": {"Selection": true, "Minimum Vertices": 4}, "attributes": {"quad_method": "SHORTEST_DIAGONAL", "ngon_method": "BEAUTY"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [400.0, 100.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [200.0, -20.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [1.0, 1.0, 1.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "MULTIPLY"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [0.0, -200.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [-200.0, -200.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Self Object", "type": "GeometryNodeSelfObject", "location": [-400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-400.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [1200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Scale", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [1500.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [-100.0, -250.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ABSOLUTE"}}], "links": [{"from_node": "Split Edges", "to_node": "Set Position", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Triangulate", "to_node": "Split Edges", "from_socket": "Mesh", "to_socket": "Mesh"}, {"from_node": "Capture Attribute", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Set Position", "to_node": "Sample Index", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.001", "to_node": "Sample Index", "from_socket": "Index", "to_socket": "Index"}, {"from_node": "Face Area", "to_node": "Sample Index", "from_socket": "Area", "to_socket": "Value"}, {"from_node": "Sample Index", "to_node": "Capture Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Capture Attribute", "to_node": "Math", "from_socket": "Attribute", "to_socket": "Value"}, {"from_node": "Face Area.001", "to_node": "Math", "from_socket": "Area", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Store Named Attribute.001", "to_node": "Triangulate", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Self Object", "to_node": "Object Info", "from_socket": "Self Object", "to_socket": "Object"}, {"from_node": "Triangulate", "to_node": "Capture Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Vector Math.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Vector Math", "to_node": "Vector Math.001", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_1", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_2", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Vector Math.001", "from_socket": "Socket_2", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Object Info", "to_node": "Vector Math.002", "from_socket": "Scale", "to_socket": "Vector"}]}',
    NODEGROUP_REVERSE_ROTATION: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Vector", "socket_type": "NodeSocketVector", "default_attribute_name": "", "hide_value": false, "default_value": [0.0, 0.0, 0.0], "min_value": -10000.0, "max_value": 10000.0, "subtype": "NONE"}], "nodes": [{"name": "Group Input", "type": "NodeGroupInput", "location": [-720.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [320.0000305175781, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [520.0, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [119.99996948242188, 270.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Combine XYZ.003", "type": "ShaderNodeCombineXYZ", "location": [279.9999694824219, -130.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.002", "type": "ShaderNodeCombineXYZ", "location": [79.99996948242188, -130.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.001", "type": "ShaderNodeCombineXYZ", "location": [-120.00003051757812, -30.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Reroute", "type": "NodeReroute", "location": [219.99996948242188, -270.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [-320.0000305175781, -230.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [-520.0, -230.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [710.0, 0.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Reroute", "to_node": "Combine XYZ.003", "from_socket": "Output", "to_socket": "X"}, {"from_node": "Transform Geometry", "to_node": "Transform Geometry.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Combine XYZ.001", "from_socket": "Z", "to_socket": "Z"}, {"from_node": "Transform Geometry.001", "to_node": "Transform Geometry.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Reroute", "from_socket": "X", "to_socket": "Input"}, {"from_node": "Combine XYZ.001", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Combine XYZ.002", "to_node": "Transform Geometry.001", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Combine XYZ.003", "to_node": "Transform Geometry.002", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Separate XYZ", "to_node": "Combine XYZ.002", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Vector Math.001", "to_node": "Separate XYZ", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Vector Math.001", "from_socket": "Socket_2", "to_socket": "Vector"}, {"from_node": "Group Input", "to_node": "Transform Geometry", "from_socket": "Socket_1", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CAM_PLACEMENT_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Reroute.005", "type": "NodeReroute", "location": [5000.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [9200.0, 600.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Reroute", "type": "NodeReroute", "location": [4100.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [1700.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Index.002", "type": "GeometryNodeInputIndex", "location": [1900.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, 0.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [2500.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face", "type": "GeometryNodeCornersOfFace", "location": [2300.0, 0.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, 0.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, 0.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.003", "type": "GeometryNodeInputIndex", "location": [1900.0, -400.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.001", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -400.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [2500.0, -500.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.001", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -400.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.001", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -400.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.001", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -400.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2100.0, -200.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.002", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, 0.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [1700.0, -800.0], "inputs": {}, "attributes": {}}, {"name": "Index.004", "type": "GeometryNodeInputIndex", "location": [1900.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.002", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -600.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [2500.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.002", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -600.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.002", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -600.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.002", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -600.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.005", "type": "GeometryNodeInputIndex", "location": [1900.0, -1000.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.003", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -1000.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [2500.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ.005", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -1000.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Corners of Face.003", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -1000.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.003", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -1000.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.003", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -1000.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2100.0, -800.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.006", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -800.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.004", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.003", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Combine XYZ.001", "type": "ShaderNodeCombineXYZ", "location": [3200.0, 0.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.002", "type": "ShaderNodeCombineXYZ", "location": [3200.0, -600.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [3500.0, 300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SUBTRACT"}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [4200.0, 400.0], "inputs": {"Translation": [0.5, 0.5, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Combine XYZ.003", "type": "ShaderNodeCombineXYZ", "location": [4400.0, 640.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Mesh to Points", "type": "GeometryNodeMeshToPoints", "location": [4000.0, 500.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Radius": 0.05000000074505806}, "attributes": {"mode": "FACES"}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [5400.0, 60.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [5400.0, 400.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Index.006", "type": "GeometryNodeInputIndex", "location": [6000.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [7500.0, 1200.0], "inputs": {"Selection": true, "Name": "cam_pos", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [7300.0, 1200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Combine XYZ.007", "type": "ShaderNodeCombineXYZ", "location": [7100.0, 1200.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Named Attribute", "type": "GeometryNodeInputNamedAttribute", "location": [6900.0, 1200.0], "inputs": {"Name": "rotation"}, "attributes": {"data_type": "FLOAT"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [7100.0, 1000.0], "inputs": {"Value": [0.0, 0.0, 0.0], "Index": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE", "clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [6900.0, 1000.0], "inputs": {}, "attributes": {}}, {"name": "Position.008", "type": "GeometryNodeInputPosition", "location": [6900.0, 840.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [8300.0, 700.0], "inputs": {"Selection": true, "Name": "cam_width", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Store Named Attribute.004", "type": "GeometryNodeStoreNamedAttribute", "location": [8500.0, 700.0], "inputs": {"Selection": true, "Name": "cam_height", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Sample Index.003", "type": "GeometryNodeSampleIndex", "location": [8300.0, 400.0], "inputs": {"Value": 0.0, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Sample Index.001", "type": "GeometryNodeSampleIndex", "location": [8100.0, 500.0], "inputs": {"Value": 0.0, "Index": 2}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [7900.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DISTANCE"}}, {"name": "Edge Vertices", "type": "GeometryNodeInputMeshEdgeVertices", "location": [7700.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.006", "type": "NodeReroute", "location": [7700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Combine XYZ", "type": "ShaderNodeCombineXYZ", "location": [1360.0, 300.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Math", "type": "ShaderNodeMath", "location": [900.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Integer", "type": "FunctionNodeInputInt", "location": [700.0, 400.0], "inputs": {}, "attributes": {"integer": 180}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [1100.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.5707950592041016, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Points", "type": "GeometryNodePoints", "location": [1360.0, 500.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.004", "type": "ShaderNodeMath", "location": [1360.0, 720.0], "inputs": {"Value": 0.5, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Index", "type": "GeometryNodeInputIndex", "location": [1100.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [-890.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [-710.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.003", "type": "GeometryNodeTransform", "location": [900.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 0.0]}, "attributes": {}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [1100.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Boolean Math", "type": "FunctionNodeBooleanMath", "location": [5800.0, 300.0], "inputs": {"Boolean": false, "Boolean_001": false}, "attributes": {"operation": "NOT"}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [5600.0, 300.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "EQUAL", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2200.0, 400.0], "inputs": {}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [5200.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [3800.0, 500.0], "inputs": {"Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE"}}, {"name": "Delete Geometry.001", "type": "GeometryNodeDeleteGeometry", "location": [6000.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Delete Geometry.002", "type": "GeometryNodeDeleteGeometry", "location": [6200.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [5200.0, 500.0], "inputs": {"Selection": true, "Name": "rotation", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Instance on Points.001", "type": "GeometryNodeInstanceOnPoints", "location": [4400.0, 500.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Realize Instances.001", "type": "GeometryNodeRealizeInstances", "location": [4860.0, 500.0], "inputs": {}, "attributes": {}}, {"name": "Instance on Points", "type": "GeometryNodeInstanceOnPoints", "location": [1640.0001220703125, 400.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Delete Geometry", "type": "GeometryNodeDeleteGeometry", "location": [1300.0, -100.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [-1070.0220947265625, -99.675537109375], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Grid", "type": "GeometryNodeMeshGrid", "location": [4000.0, 300.0], "inputs": {"Size X": 1.0, "Size Y": 1.0, "Vertices X": 2, "Vertices Y": 2}, "attributes": {}}, {"name": "Rotate Instances", "type": "GeometryNodeRotateInstances", "location": [4600.0, 500.0], "inputs": {"Selection": true, "Pivot Point": [0.0, 0.0, 0.0], "Local Space": false}, "attributes": {}}, {"name": "Group Input.001", "type": "NodeGroupInput", "location": [-110.00830078125, -379.699462890625], "inputs": {}, "attributes": {}}, {"name": "Object Info.001", "type": "GeometryNodeObjectInfo", "location": [109.99169921875, -299.699462890625], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [309.99169921875, -99.699462890625], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-1270.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}], "links": [{"from_node": "Transform Geometry.003", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Delete Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Index", "to_node": "Delete Geometry", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Delete Geometry", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Points", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Combine XYZ", "to_node": "Instance on Points", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Index.001", "to_node": "Math", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Integer", "to_node": "Math", "from_socket": "Integer", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Combine XYZ", "from_socket": "Value", "to_socket": "Z"}, {"from_node": "Integer", "to_node": "Points", "from_socket": "Integer", "to_socket": "Count"}, {"from_node": "Instance on Points", "to_node": "Realize Instances", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Index.002", "to_node": "Evaluate on Domain", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain", "to_node": "Corners of Face", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Separate XYZ.001", "to_node": "Math.002", "from_socket": "X", "to_socket": "Value"}, {"from_node": "Corners of Face", "to_node": "Vertex of Corner", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner", "to_node": "Evaluate at Index", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position", "to_node": "Evaluate at Index", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index", "to_node": "Separate XYZ.002", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Position.002", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Realize Instances", "to_node": "Capture Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.003", "to_node": "Evaluate on Domain.001", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.001", "to_node": "Corners of Face.001", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.001", "to_node": "Vertex of Corner.001", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.001", "to_node": "Evaluate at Index.001", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.001", "to_node": "Evaluate at Index.001", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.001", "to_node": "Separate XYZ.003", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Corners of Face", "from_socket": "X", "to_socket": "Weights"}, {"from_node": "Math.002", "to_node": "Corners of Face.001", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Index.004", "to_node": "Evaluate on Domain.002", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.002", "to_node": "Corners of Face.002", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.002", "to_node": "Vertex of Corner.002", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.002", "to_node": "Evaluate at Index.002", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.004", "to_node": "Evaluate at Index.002", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.002", "to_node": "Separate XYZ.004", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Position.003", "to_node": "Separate XYZ.006", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Index.005", "to_node": "Evaluate on Domain.003", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.003", "to_node": "Corners of Face.003", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.003", "to_node": "Vertex of Corner.003", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.003", "to_node": "Evaluate at Index.003", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.005", "to_node": "Evaluate at Index.003", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.003", "to_node": "Separate XYZ.005", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Math.003", "to_node": "Corners of Face.003", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Corners of Face.002", "from_socket": "Y", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Math.003", "from_socket": "Y", "to_socket": "Value"}, {"from_node": "Separate XYZ.002", "to_node": "Combine XYZ.001", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.004", "to_node": "Combine XYZ.001", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Separate XYZ.003", "to_node": "Combine XYZ.002", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.005", "to_node": "Combine XYZ.002", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Mesh to Points", "to_node": "Instance on Points.001", "from_socket": "Points", "to_socket": "Points"}, {"from_node": "Transform Geometry", "to_node": "Instance on Points.001", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Capture Attribute", "to_node": "Mesh to Points", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Vector Math", "to_node": "Capture Attribute", "from_socket": "Vector", "to_socket": "Value"}, {"from_node": "Capture Attribute", "to_node": "Instance on Points.001", "from_socket": "Attribute", "to_socket": "Scale"}, {"from_node": "Combine XYZ.001", "to_node": "Mesh to Points", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Combine XYZ.001", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Combine XYZ.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Grid", "to_node": "Transform Geometry", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Realize Instances.001", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Rotate Instances", "to_node": "Realize Instances.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Reroute.005", "to_node": "Store Named Attribute", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Math.004", "to_node": "Reroute", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Store Named Attribute", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Face Area", "to_node": "Attribute Statistic", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Store Named Attribute", "to_node": "Delete Geometry.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Compare", "from_socket": "Min", "to_socket": "A"}, {"from_node": "Face Area.001", "to_node": "Compare", "from_socket": "Area", "to_socket": "B"}, {"from_node": "Compare", "to_node": "Boolean Math", "from_socket": "Result", "to_socket": "Boolean"}, {"from_node": "Boolean Math", "to_node": "Delete Geometry.001", "from_socket": "Boolean", "to_socket": "Selection"}, {"from_node": "Instance on Points.001", "to_node": "Rotate Instances", "from_socket": "Instances", "to_socket": "Instances"}, {"from_node": "Reroute", "to_node": "Reroute.005", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Combine XYZ.003", "to_node": "Rotate Instances", "from_socket": "Vector", "to_socket": "Rotation"}, {"from_node": "Reroute", "to_node": "Combine XYZ.003", "from_socket": "Output", "to_socket": "Z"}, {"from_node": "Position.008", "to_node": "Sample Index", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math.004", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Delete Geometry.001", "to_node": "Delete Geometry.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.006", "to_node": "Delete Geometry.002", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 1", "to_socket": "Vector"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 2", "to_socket": "Vector_001"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Reroute.006", "to_node": "Sample Index.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.003", "to_node": "Store Named Attribute.004", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.006", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.006", "to_node": "Sample Index.003", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Sample Index.001", "to_node": "Store Named Attribute.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Sample Index.003", "to_node": "Store Named Attribute.004", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Named Attribute", "to_node": "Combine XYZ.007", "from_socket": "Attribute", "to_socket": "Z"}, {"from_node": "Combine XYZ.007", "to_node": "Vector Math.002", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Sample Index", "to_node": "Vector Math.002", "from_socket": "Value", "to_socket": "Vector_001"}, {"from_node": "Vector Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Vector", "to_socket": "Value"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.002", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.002", "to_node": "Sample Index", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Realize Instances.002", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Realize Instances.002", "to_node": "Group", "from_socket": "Geometry", "to_socket": "Socket_1"}, {"from_node": "Group Input.001", "to_node": "Object Info.001", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Object Info.001", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Group", "to_node": "Transform Geometry.003", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.004", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CLIPPING_PLANES_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group.002", "type": "GeometryNodeGroup", "location": [1400.0, -700.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [1900.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [1400.0, -100.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1700.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2700.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_height", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2300.0, 100.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2500.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2100.0, -100.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2500.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2300.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2700.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [1100.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group.001", "type": "GeometryNodeGroup", "location": [1400.0, -300.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [2900.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_clip", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3300.0, 100.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value_001"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Collection Info", "to_node": "Group", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Object Info", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Object Info", "to_node": "Group.001", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Collection Info.001", "to_node": "Group.001", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Collection Info.002", "to_node": "Group.002", "from_socket": "Instances", "to_socket": "Socket_1"}, {"from_node": "Object Info", "to_node": "Group.002", "from_socket": "Rotation", "to_socket": "Socket_2"}, {"from_node": "Group", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Group.001", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Group.002", "to_node": "Join Geometry", "from_socket": "Socket_0", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}]}',
    NODEGROUP_CAM_PLACEMENT_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [6500.0, 200.0], "inputs": {"Selection": true, "Name": "rotation", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [6300.0, 200.0], "inputs": {"Selection": true, "Name": "fov", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [6100.0, 200.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Points", "type": "GeometryNodePoints", "location": [5900.0, 200.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [6100.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [5900.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "ARCTANGENT", "use_clamp": false}}, {"name": "Attribute Statistic.001", "type": "GeometryNodeAttributeStatistic", "location": [5700.0, 200.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [5500.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [5300.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [5300.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [5100.0, 100.0], "inputs": {"Value": 1.0, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [4900.0, 100.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [4700.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [6500.0, -100.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "GREATER_THAN", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Attribute Statistic.002", "type": "GeometryNodeAttributeStatistic", "location": [6300.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [6100.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [5900.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Reroute", "type": "NodeReroute", "location": [6100.0, -500.0], "inputs": {"Input": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Align Euler to Vector", "type": "FunctionNodeAlignEulerToVector", "location": [5000.0, -400.0], "inputs": {"Rotation": [0.0, 0.0, 0.0], "Factor": 1.0, "Vector": [0.0, 0.0, 1.0]}, "attributes": {"axis": "Z", "pivot_axis": "AUTO"}}, {"name": "Vector Math.006", "type": "ShaderNodeVectorMath", "location": [4600.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [5500.0, 200.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, -1.0]}, "attributes": {}}, {"name": "Group", "type": "GeometryNodeGroup", "location": [5200.0, -300.0], "inputs": {"Socket_2": [0.0, 0.0, 0.0]}, "attributes": {"node_tree": "CB_Revers_Rotation"}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [3600.0, -300.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [3400.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [3200.0, -300.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [3200.0, -500.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [3000.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.004", "type": "ShaderNodeVectorMath", "location": [3800.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "NORMALIZE"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [3600.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Set Position.001", "type": "GeometryNodeSetPosition", "location": [4000.0, -300.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Attribute Statistic.004", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -800.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [4000.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.005", "type": "ShaderNodeVectorMath", "location": [4200.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [4000.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [4800.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Attribute Statistic.003", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -400.0], "inputs": {"Selection": true, "Attribute": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE"}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [3400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.002", "type": "GeometryNodeStoreNamedAttribute", "location": [6700.0, 200.0], "inputs": {"Selection": true, "Name": "full_sphere", "Value": false}, "attributes": {"data_type": "BOOLEAN", "domain": "POINT"}}, {"name": "Vector Math.007", "type": "ShaderNodeVectorMath", "location": [3800.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [3600.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic.005", "type": "GeometryNodeAttributeStatistic", "location": [4000.0, 100.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [3800.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.003", "type": "NodeReroute", "location": [4400.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [4200.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [6840.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [6900.0, 200.0], "inputs": {"Selection": true, "Name": "clipping", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [4200.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.001", "type": "NodeReroute", "location": [5440.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [7100.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}], "links": [{"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Realize Instances.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Position.002", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic.002", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.002", "to_node": "Compare", "from_socket": "Max", "to_socket": "A"}, {"from_node": "Reroute.001", "to_node": "Set Position", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Position.001", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Math", "from_socket": "Z", "to_socket": "Value_001"}, {"from_node": "Position.001", "to_node": "Vector Math", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Math", "to_node": "Vector Math", "from_socket": "Value", "to_socket": "Scale"}, {"from_node": "Vector Math", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.003", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic.001", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.001", "to_node": "Math.001", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Compare", "to_node": "Store Named Attribute.002", "from_socket": "Result", "to_socket": "Value"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Reroute", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Vector Math.003", "to_node": "Align Euler to Vector", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.001", "to_node": "Math.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Set Position", "to_node": "Attribute Statistic.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Transform Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Object Info", "to_node": "Vector Math.002", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Vector Math.002", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Align Euler to Vector", "to_node": "Reroute", "from_socket": "Rotation", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Set Position.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.004", "to_node": "Set Position.001", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.004", "to_node": "Vector Math.004", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Face Area", "to_node": "Attribute Statistic.004", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Vector Math.005", "to_node": "Attribute Statistic.003", "from_socket": "Vector", "to_socket": "Attribute"}, {"from_node": "Face Area", "to_node": "Vector Math.005", "from_socket": "Area", "to_socket": "Scale"}, {"from_node": "Position.005", "to_node": "Vector Math.005", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.003", "to_node": "Vector Math.006", "from_socket": "Sum", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.004", "to_node": "Vector Math.006", "from_socket": "Sum", "to_socket": "Vector_001"}, {"from_node": "Vector Math.006", "to_node": "Vector Math.003", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Set Position.001", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.003", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.004", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Vector Math.007", "to_node": "Attribute Statistic.005", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Vector Math.007", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute.002", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.003", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Reroute.003", "to_node": "Reroute.002", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Math.002", "to_node": "Reroute.003", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Attribute Statistic.005", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic.005", "to_node": "Math.002", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Store Named Attribute.003", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Group", "to_node": "Reroute.001", "from_socket": "Socket_0", "to_socket": "Input"}, {"from_node": "Convex Hull.001", "to_node": "Group", "from_socket": "Convex Hull", "to_socket": "Socket_1"}, {"from_node": "Reroute.001", "to_node": "Attribute Statistic.002", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Align Euler to Vector", "to_node": "Group", "from_socket": "Rotation", "to_socket": "Socket_2"}]}',
    NODEGROUP_CLIPPING_PLANES_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [1100.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [1300.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2600.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2400.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 0.009999999776482582, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2400.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2600.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "MINIMUM", "use_clamp": false}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2800.0, 300.0], "inputs": {"Selection": true, "Name": "clip_start", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2400.0, 300.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [3000.0, 300.0], "inputs": {"Selection": true, "Name": "clip_end", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3200.0, 300.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [1500.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [1500.0, -400.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [1500.0, -720.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2600.0, 300.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2000.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1800.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [2000.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2200.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}], "links": [{"from_node": "Object Info", "to_node": "Vector Math", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Collection Info", "to_node": "Transform Geometry", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Vector Math", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.001", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.002", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Collection Info.002", "to_node": "Transform Geometry.002", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Collection Info.001", "to_node": "Transform Geometry.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.001", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Position", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Math.002", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Math", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Attribute Statistic", "to_node": "Math.003", "from_socket": "Min", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value"}]}'
}

v4_2_nodes = {
    NODEGROUP_MAIN_NAME: '{"type":"SHADER","interface":[{"in_out":"OUTPUT","name":"Surface","socket_type":"NodeSocketShader","default_attribute_name":"","hide_value":false},{"in_out":"OUTPUT","name":"Volume","socket_type":"NodeSocketShader","default_attribute_name":"","hide_value":false},{"in_out":"INPUT","name":"Color","socket_type":"NodeSocketColor","default_attribute_name":"","hide_value":false,"default_value":[1.0,1.0,1.0,1.0]},{"in_out":"INPUT","name":"Transmission","socket_type":"NodeSocketFloat","default_attribute_name":"","hide_value":false,"default_value":1.0,"min_value":0.0,"max_value":1.0,"subtype":"FACTOR"},{"in_out":"INPUT","name":"IOR","socket_type":"NodeSocketFloat","default_attribute_name":"","hide_value":false,"default_value":1.5,"min_value":-3.4028234663852886e+38,"max_value":3.4028234663852886e+38,"subtype":"NONE"},{"in_out":"INPUT","name":"Normal","socket_type":"NodeSocketVector","default_attribute_name":"","hide_value":true,"default_value":[0.0,0.0,0.0],"min_value":-3.4028234663852886e+38,"max_value":3.4028234663852886e+38,"subtype":"NONE"},{"in_out":"INPUT","name":"Roughness","socket_type":"NodeSocketFloat","default_attribute_name":"","hide_value":false,"default_value":0.0,"min_value":0.0,"max_value":1.0,"subtype":"FACTOR"},{"in_out":"INPUT","name":"Volume","socket_type":"NodeSocketShader","default_attribute_name":"","hide_value":false}],"nodes":[{"name":"Attribute.001","type":"ShaderNodeAttribute","location":[2660.0,360.0],"inputs":{},"attributes":{"attribute_type":"OBJECT","attribute_name":"cb_contributor"}},{"name":"Mix Shader","type":"ShaderNodeMixShader","location":[2880.0,160.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"Group Output","type":"NodeGroupOutput","location":[3120.0,160.0],"inputs":{},"attributes":{"is_active_output":true}},{"name":"Test.001","type":"NodeGroupInput","location":[2680.0,-120.0],"inputs":{},"attributes":{}},{"name":"Mix Shader.001","type":"ShaderNodeMixShader","location":[2880.0,20.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"Mix Shader.003","type":"ShaderNodeMixShader","location":[2020.0,360.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"Mix Shader.004","type":"ShaderNodeMixShader","location":[1820.0,360.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"Vector Math.004","type":"ShaderNodeVectorMath","location":[1620.0,360.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"ADD"}},{"name":"Emission","type":"ShaderNodeEmission","location":[1620.0,160.0],"inputs":{"Color":[1.0,1.0,1.0,1.0],"Strength":1.0,"Weight":0.0},"attributes":{}},{"name":"Combine XYZ","type":"ShaderNodeCombineXYZ","location":[1420.0,360.0],"inputs":{"X":0.0,"Y":0.0,"Z":0.0},"attributes":{}},{"name":"Mix Shader.005","type":"ShaderNodeMixShader","location":[2220.0,360.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"Math.004","type":"ShaderNodeMath","location":[1220.0,360.0],"inputs":{"Value":0.5,"Value_001":0.5,"Value_002":0.5},"attributes":{"operation":"MULTIPLY","use_clamp":false}},{"name":"Attribute.003","type":"ShaderNodeAttribute","location":[1020.0,360.0],"inputs":{},"attributes":{"attribute_type":"GEOMETRY","attribute_name":"CB_UV_Scale"}},{"name":"Math.005","type":"ShaderNodeMath","location":[1020.0,160.0],"inputs":{"Value":0.5,"Value_001":0.5,"Value_002":0.5},"attributes":{"operation":"DIVIDE","use_clamp":false}},{"name":"Vector Math.005","type":"ShaderNodeVectorMath","location":[800.0,160.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"DOT_PRODUCT"}},{"name":"Vector Math.006","type":"ShaderNodeVectorMath","location":[800.0,360.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"DOT_PRODUCT"}},{"name":"Geometry.001","type":"ShaderNodeNewGeometry","location":[580.0,360.0],"inputs":{},"attributes":{}},{"name":"Bump.001","type":"ShaderNodeBump","location":[580.0,100.0],"inputs":{"Strength":0.0,"Distance":1.0,"Height":1.0,"Normal":[0.0,0.0,0.0]},"attributes":{"invert":false}},{"name":"Fresnel","type":"ShaderNodeFresnel","location":[1220.0,-380.0],"inputs":{"IOR":1.4500000476837158,"Normal":[0.0,0.0,0.0]},"attributes":{}},{"name":"Math","type":"ShaderNodeMath","location":[1620.0,-180.0],"inputs":{"Value":0.5,"Value_001":0.5,"Value_002":0.5},"attributes":{"operation":"LESS_THAN","use_clamp":false}},{"name":"Math.001","type":"ShaderNodeMath","location":[1420.0,-180.0],"inputs":{"Value":0.5,"Value_001":0.5,"Value_002":0.5},"attributes":{"operation":"MULTIPLY","use_clamp":false}},{"name":"Separate HSV","type":"ShaderNodeSeparateHSV","location":[1420.0,-380.0],"inputs":{"Color":[0.800000011920929,0.800000011920929,0.800000011920929,1.0]},"attributes":{}},{"name":"Combine RGB","type":"ShaderNodeCombineRGB","location":[1620.0,-380.0],"inputs":{"R":1.0,"G":1.0,"B":0.0},"attributes":{}},{"name":"Mix","type":"ShaderNodeMixRGB","location":[1820.0,-400.0],"inputs":{"Fac":0.5,"Color1":[0.5,0.5,0.5,1.0],"Color2":[0.5,0.5,0.5,1.0]},"attributes":{"blend_type":"MIX","use_alpha":false,"use_clamp":false}},{"name":"Refraction BSDF","type":"ShaderNodeBsdfRefraction","location":[2020.0,-380.0],"inputs":{"Color":[1.0,1.0,1.0,1.0],"Roughness":0.0,"IOR":1.4500000476837158,"Normal":[0.0,0.0,0.0],"Weight":0.0},"attributes":{"distribution":"BECKMANN"}},{"name":"Glossy BSDF","type":"ShaderNodeBsdfAnisotropic","location":[2020.0,-580.0],"inputs":{"Color":[0.800000011920929,0.800000011920929,0.800000011920929,1.0],"Roughness":0.0,"Anisotropy":0.0,"Rotation":0.0,"Normal":[0.0,0.0,0.0],"Tangent":[0.0,0.0,0.0],"Weight":0.0},"attributes":{"distribution":"GGX"}},{"name":"Geometry","type":"ShaderNodeNewGeometry","location":[1020.0,-180.0],"inputs":{},"attributes":{}},{"name":"White Noise Texture.001","type":"ShaderNodeTexWhiteNoise","location":[1220.0,-180.0],"inputs":{"Vector":[0.0,0.0,0.0],"W":0.0},"attributes":{"noise_dimensions":"4D"}},{"name":"Mix Shader.002","type":"ShaderNodeMixShader","location":[2220.0,-180.0],"inputs":{"Fac":0.5},"attributes":{}},{"name":"White Noise Texture","type":"ShaderNodeTexWhiteNoise","location":[1100.0,-700.0],"inputs":{"Vector":[0.0,0.0,0.0],"W":0.0},"attributes":{"noise_dimensions":"3D"}},{"name":"Math.002","type":"ShaderNodeMath","location":[1100.0,-900.0],"inputs":{"Value":0.5,"Value_001":2.0,"Value_002":0.5},"attributes":{"operation":"POWER","use_clamp":false}},{"name":"Vector Math.003","type":"ShaderNodeVectorMath","location":[1280.0,-700.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.5,0.5,0.5],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"SUBTRACT"}},{"name":"Math.003","type":"ShaderNodeMath","location":[1280.0,-900.0],"inputs":{"Value":0.5,"Value_001":2.499999761581421,"Value_002":0.5},"attributes":{"operation":"MULTIPLY","use_clamp":false}},{"name":"Vector Math","type":"ShaderNodeVectorMath","location":[1640.0,-700.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"ADD"}},{"name":"Vector Math.001","type":"ShaderNodeVectorMath","location":[1820.0,-700.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"NORMALIZE"}},{"name":"Texture Coordinate","type":"ShaderNodeTexCoord","location":[920.0,-700.0],"inputs":{},"attributes":{"from_instancer":false}},{"name":"Vector Math.002","type":"ShaderNodeVectorMath","location":[1460.0,-800.0],"inputs":{"Vector":[0.0,0.0,0.0],"Vector_001":[0.0,0.0,0.0],"Vector_002":[0.0,0.0,0.0],"Scale":1.0},"attributes":{"operation":"MULTIPLY"}},{"name":"Bump","type":"ShaderNodeBump","location":[1460.0,-600.0],"inputs":{"Strength":0.0,"Distance":1.0,"Height":1.0,"Normal":[0.0,0.0,0.0]},"attributes":{"invert":false}},{"name":"Attribute","type":"ShaderNodeAttribute","location":[1820.0,540.0],"inputs":{},"attributes":{"attribute_type":"OBJECT","attribute_name":"cb_receiver"}},{"name":"Attribute.002","type":"ShaderNodeAttribute","location":[1420.0,540.0],"inputs":{},"attributes":{"attribute_type":"GEOMETRY","attribute_name":"CB_UV_Coordinates"}},{"name":"Seed","type":"ShaderNodeValue","location":[1020.0,-80.0],"inputs":{},"attributes":{}},{"name":"Color","type":"ShaderNodeValue","location":[1620.0,0.0],"inputs":{},"attributes":{}},{"name":"Light Path","type":"ShaderNodeLightPath","location":[2020.0,700.0],"inputs":{},"attributes":{}},{"name":"Group Input","type":"NodeGroupInput","location":[160.0,-560.0],"inputs":{},"attributes":{}}],"links":[{"from_node":"Attribute.001","to_node":"Mix Shader","from_socket":"Fac","to_socket":"Fac"},{"from_node":"Mix Shader","to_node":"Group Output","from_socket":"Shader","to_socket":"Socket_0"},{"from_node":"Mix Shader.001","to_node":"Group Output","from_socket":"Shader","to_socket":"Socket_1"},{"from_node":"Test.001","to_node":"Mix Shader.001","from_socket":"Socket_7","to_socket":"Shader_001"},{"from_node":"Texture Coordinate","to_node":"White Noise Texture","from_socket":"Object","to_socket":"Vector"},{"from_node":"Vector Math.002","to_node":"Vector Math","from_socket":"Vector","to_socket":"Vector_001"},{"from_node":"Vector Math","to_node":"Vector Math.001","from_socket":"Vector","to_socket":"Vector"},{"from_node":"Vector Math.003","to_node":"Vector Math.002","from_socket":"Vector","to_socket":"Vector"},{"from_node":"Math.003","to_node":"Vector Math.002","from_socket":"Value","to_socket":"Vector_001"},{"from_node":"Math.002","to_node":"Math.003","from_socket":"Value","to_socket":"Value"},{"from_node":"White Noise Texture","to_node":"Vector Math.003","from_socket":"Color","to_socket":"Vector"},{"from_node":"Bump","to_node":"Vector Math","from_socket":"Normal","to_socket":"Vector"},{"from_node":"Group Input","to_node":"Math.002","from_socket":"Socket_6","to_socket":"Value"},{"from_node":"Group Input","to_node":"Bump","from_socket":"Socket_5","to_socket":"Normal"},{"from_node":"Geometry","to_node":"White Noise Texture.001","from_socket":"Position","to_socket":"Vector"},{"from_node":"White Noise Texture.001","to_node":"Math.001","from_socket":"Value","to_socket":"Value"},{"from_node":"Math.001","to_node":"Math","from_socket":"Value","to_socket":"Value"},{"from_node":"Fresnel","to_node":"Math","from_socket":"Fac","to_socket":"Value_001"},{"from_node":"Separate HSV","to_node":"Combine RGB","from_socket":"V","to_socket":"B"},{"from_node":"Combine RGB","to_node":"Mix","from_socket":"Image","to_socket":"Color1"},{"from_node":"Mix","to_node":"Refraction BSDF","from_socket":"Color","to_socket":"Color"},{"from_node":"Mix","to_node":"Glossy BSDF","from_socket":"Color","to_socket":"Color"},{"from_node":"Math","to_node":"Mix Shader.002","from_socket":"Value","to_socket":"Fac"},{"from_node":"Refraction BSDF","to_node":"Mix Shader.002","from_socket":"BSDF","to_socket":"Shader"},{"from_node":"Glossy BSDF","to_node":"Mix Shader.002","from_socket":"BSDF","to_socket":"Shader_001"},{"from_node":"Group Input","to_node":"Fresnel","from_socket":"Socket_4","to_socket":"IOR"},{"from_node":"Group Input","to_node":"Separate HSV","from_socket":"Socket_2","to_socket":"Color"},{"from_node":"Group Input","to_node":"Math.001","from_socket":"Socket_3","to_socket":"Value_001"},{"from_node":"Vector Math.001","to_node":"Refraction BSDF","from_socket":"Vector","to_socket":"Normal"},{"from_node":"Vector Math.001","to_node":"Glossy BSDF","from_socket":"Vector","to_socket":"Normal"},{"from_node":"Group Input","to_node":"Mix","from_socket":"Socket_2","to_socket":"Color2"},{"from_node":"Mix Shader.002","to_node":"Mix Shader","from_socket":"Shader","to_socket":"Shader_001"},{"from_node":"Light Path","to_node":"Mix Shader.005","from_socket":"Is Camera Ray","to_socket":"Fac"},{"from_node":"Mix Shader.003","to_node":"Mix Shader.005","from_socket":"Shader","to_socket":"Shader"},{"from_node":"Mix Shader.004","to_node":"Mix Shader.003","from_socket":"Shader","to_socket":"Shader_001"},{"from_node":"Vector Math.004","to_node":"Mix Shader.004","from_socket":"Vector","to_socket":"Shader"},{"from_node":"Emission","to_node":"Mix Shader.004","from_socket":"Emission","to_socket":"Shader_001"},{"from_node":"Combine XYZ","to_node":"Vector Math.004","from_socket":"Vector","to_socket":"Vector"},{"from_node":"Math.004","to_node":"Combine XYZ","from_socket":"Value","to_socket":"Z"},{"from_node":"Bump.001","to_node":"Vector Math.006","from_socket":"Normal","to_socket":"Vector_001"},{"from_node":"Geometry.001","to_node":"Vector Math.005","from_socket":"Incoming","to_socket":"Vector"},{"from_node":"Geometry.001","to_node":"Vector Math.005","from_socket":"True Normal","to_socket":"Vector_001"},{"from_node":"Geometry.001","to_node":"Vector Math.006","from_socket":"Incoming","to_socket":"Vector"},{"from_node":"Vector Math.006","to_node":"Math.005","from_socket":"Value","to_socket":"Value"},{"from_node":"Vector Math.005","to_node":"Math.005","from_socket":"Value","to_socket":"Value_001"},{"from_node":"Attribute.003","to_node":"Math.004","from_socket":"Fac","to_socket":"Value"},{"from_node":"Math.004","to_node":"Emission","from_socket":"Value","to_socket":"Strength"},{"from_node":"Math.005","to_node":"Math.004","from_socket":"Value","to_socket":"Value_001"},{"from_node":"Attribute","to_node":"Mix Shader.003","from_socket":"Fac","to_socket":"Fac"},{"from_node":"Attribute.002","to_node":"Vector Math.004","from_socket":"Vector","to_socket":"Vector_001"},{"from_node":"Group Input","to_node":"Bump.001","from_socket":"Socket_5","to_socket":"Normal"},{"from_node":"Mix Shader.005","to_node":"Mix Shader","from_socket":"Shader","to_socket":"Shader"},{"from_node":"Seed","to_node":"White Noise Texture.001","from_socket":"Value","to_socket":"W"},{"from_node":"Color","to_node":"Mix","from_socket":"Value","to_socket":"Fac"},{"from_node":"Color","to_node":"Mix Shader.001","from_socket":"Value","to_socket":"Fac"},{"from_node":"Color","to_node":"Mix Shader.004","from_socket":"Value","to_socket":"Fac"}]}',
    NODEGROUP_UV_NAME: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "UV_Map", "socket_type": "NodeSocketVector", "default_attribute_name": "UVMap", "hide_value": false, "default_value": [0.0, 0.0, 0.0], "min_value": -10000.0, "max_value": 10000.0, "subtype": "NONE"}], "nodes": [{"name": "Math", "type": "ShaderNodeMath", "location": [1000.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [800.0, 200.0], "inputs": {"Value": 0.0}, "attributes": {"capture_items": [{"data_type": "FLOAT", "name": "Value"}], "active_index": 0, "active_item": "Value", "domain": "FACE"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [600.0, 0.0], "inputs": {"Value": 0.0, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "FACE", "clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [400.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Split Edges", "type": "GeometryNodeSplitEdges", "location": [200.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [-200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Coordinates", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "CORNER"}}, {"name": "Triangulate", "type": "GeometryNodeTriangulate", "location": [0.0, 300.0], "inputs": {"Selection": true, "Minimum Vertices": 4}, "attributes": {"quad_method": "SHORTEST_DIAGONAL", "ngon_method": "BEAUTY"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [400.0, 100.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [200.0, -20.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [1.0, 1.0, 1.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "MULTIPLY"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [0.0, -200.0], "inputs": {"Vector": [1.0, 1.0, 1.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [-400.0, -200.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Self Object", "type": "GeometryNodeSelfObject", "location": [-600.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-400.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [1200.0, 200.0], "inputs": {"Selection": true, "Name": "CB_UV_Scale", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [1500.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [-200.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ABSOLUTE"}}], "links": [{"from_node": "Split Edges", "to_node": "Set Position", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Triangulate", "to_node": "Split Edges", "from_socket": "Mesh", "to_socket": "Mesh"}, {"from_node": "Capture Attribute", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Set Position", "to_node": "Sample Index", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.001", "to_node": "Sample Index", "from_socket": "Index", "to_socket": "Index"}, {"from_node": "Face Area", "to_node": "Sample Index", "from_socket": "Area", "to_socket": "Value"}, {"from_node": "Sample Index", "to_node": "Capture Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Capture Attribute", "to_node": "Math", "from_socket": "Attribute", "to_socket": "Value"}, {"from_node": "Face Area.001", "to_node": "Math", "from_socket": "Area", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Store Named Attribute.001", "to_node": "Triangulate", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Self Object", "to_node": "Object Info", "from_socket": "Self Object", "to_socket": "Object"}, {"from_node": "Triangulate", "to_node": "Capture Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Vector Math.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Vector Math", "to_node": "Vector Math.001", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_1", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Store Named Attribute.001", "from_socket": "Socket_2", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Vector Math.001", "from_socket": "Socket_2", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Object Info", "to_node": "Vector Math.002", "from_socket": "Scale", "to_socket": "Vector"}]}',
    NODEGROUP_CAM_PLACEMENT_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Reroute.005", "type": "NodeReroute", "location": [5000.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [9200.0, 600.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Reroute", "type": "NodeReroute", "location": [4100.0, 700.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [1700.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Index.002", "type": "GeometryNodeInputIndex", "location": [1900.0, 0.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, 0.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [2500.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face", "type": "GeometryNodeCornersOfFace", "location": [2300.0, 0.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, 0.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, 0.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.003", "type": "GeometryNodeInputIndex", "location": [1900.0, -400.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.001", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -400.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [2500.0, -500.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.001", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -400.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.001", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -400.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.001", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -400.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2100.0, -200.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.002", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, 0.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [1700.0, -800.0], "inputs": {}, "attributes": {}}, {"name": "Index.004", "type": "GeometryNodeInputIndex", "location": [1900.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.002", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -600.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [2500.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Corners of Face.002", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -600.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.002", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -600.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.002", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -600.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Index.005", "type": "GeometryNodeInputIndex", "location": [1900.0, -1000.0], "inputs": {}, "attributes": {}}, {"name": "Evaluate on Domain.003", "type": "GeometryNodeFieldOnDomain", "location": [2100.0, -1000.0], "inputs": {"Value": 0}, "attributes": {"domain": "FACE", "data_type": "INT"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [2500.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ.005", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -1000.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Corners of Face.003", "type": "GeometryNodeCornersOfFace", "location": [2300.0, -1000.0], "inputs": {"Face Index": 0, "Weights": 0.0, "Sort Index": 0}, "attributes": {}}, {"name": "Vertex of Corner.003", "type": "GeometryNodeVertexOfCorner", "location": [2500.0, -1000.0], "inputs": {"Corner Index": 0}, "attributes": {}}, {"name": "Evaluate at Index.003", "type": "GeometryNodeFieldAtIndex", "location": [2700.0, -1000.0], "inputs": {"Index": 0, "Value": [0.0, 0.0, 0.0]}, "attributes": {"domain": "POINT", "data_type": "FLOAT_VECTOR"}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2100.0, -800.0], "inputs": {"Value": 1.0, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Separate XYZ.006", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -800.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.004", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Separate XYZ.003", "type": "ShaderNodeSeparateXYZ", "location": [2900.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Combine XYZ.001", "type": "ShaderNodeCombineXYZ", "location": [3200.0, 0.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Combine XYZ.002", "type": "ShaderNodeCombineXYZ", "location": [3200.0, -600.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [3500.0, 300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SUBTRACT"}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [4200.0, 400.0], "inputs": {"Translation": [0.5, 0.5, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Mesh to Points", "type": "GeometryNodeMeshToPoints", "location": [4000.0, 500.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Radius": 0.05000000074505806}, "attributes": {"mode": "FACES"}}, {"name": "Face Area.001", "type": "GeometryNodeInputMeshFaceArea", "location": [5400.0, 60.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [5400.0, 400.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Index.006", "type": "GeometryNodeInputIndex", "location": [6000.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [7500.0, 1200.0], "inputs": {"Selection": true, "Name": "cam_pos", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [7300.0, 1200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "ADD"}}, {"name": "Combine XYZ.007", "type": "ShaderNodeCombineXYZ", "location": [7100.0, 1200.0], "inputs": {"X": 0.0, "Y": 0.0, "Z": 0.0}, "attributes": {}}, {"name": "Named Attribute", "type": "GeometryNodeInputNamedAttribute", "location": [6900.0, 1200.0], "inputs": {"Name": "rotation"}, "attributes": {"data_type": "FLOAT"}}, {"name": "Sample Index", "type": "GeometryNodeSampleIndex", "location": [7100.0, 1000.0], "inputs": {"Value": [0.0, 0.0, 0.0], "Index": 0}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE", "clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [6900.0, 1000.0], "inputs": {}, "attributes": {}}, {"name": "Position.008", "type": "GeometryNodeInputPosition", "location": [6900.0, 840.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [8300.0, 700.0], "inputs": {"Selection": true, "Name": "cam_width", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Store Named Attribute.004", "type": "GeometryNodeStoreNamedAttribute", "location": [8500.0, 700.0], "inputs": {"Selection": true, "Name": "cam_height", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Sample Index.003", "type": "GeometryNodeSampleIndex", "location": [8300.0, 400.0], "inputs": {"Value": 0.0, "Index": 0}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Sample Index.001", "type": "GeometryNodeSampleIndex", "location": [8100.0, 500.0], "inputs": {"Value": 0.0, "Index": 2}, "attributes": {"data_type": "FLOAT", "domain": "EDGE", "clamp": false}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [7900.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DISTANCE"}}, {"name": "Edge Vertices", "type": "GeometryNodeInputMeshEdgeVertices", "location": [7700.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.006", "type": "NodeReroute", "location": [7700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Math", "type": "ShaderNodeMath", "location": [900.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Index.001", "type": "GeometryNodeInputIndex", "location": [700.0, 300.0], "inputs": {}, "attributes": {}}, {"name": "Integer", "type": "FunctionNodeInputInt", "location": [700.0, 400.0], "inputs": {}, "attributes": {"integer": 180}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [1100.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.5707950592041016, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Points", "type": "GeometryNodePoints", "location": [1360.0, 500.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.004", "type": "ShaderNodeMath", "location": [1360.0, 720.0], "inputs": {"Value": 0.5, "Value_001": -1.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Index", "type": "GeometryNodeInputIndex", "location": [1100.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [-890.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [-710.0220947265625, -99.675537109375], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Transform Geometry.003", "type": "GeometryNodeTransform", "location": [900.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 0.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [1100.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Boolean Math", "type": "FunctionNodeBooleanMath", "location": [5800.0, 300.0], "inputs": {"Boolean": false, "Boolean_001": false}, "attributes": {"operation": "NOT"}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [5600.0, 300.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "EQUAL", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2200.0, 400.0], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [5200.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Capture Attribute", "type": "GeometryNodeCaptureAttribute", "location": [3800.0, 500.0], "inputs": {"Value": [0.0, 0.0, 0.0]}, "attributes": {"capture_items": [{"data_type": "FLOAT_VECTOR", "name": "Value"}], "active_index": 0, "active_item": "Value", "domain": "FACE"}}, {"name": "Delete Geometry.001", "type": "GeometryNodeDeleteGeometry", "location": [6000.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Delete Geometry.002", "type": "GeometryNodeDeleteGeometry", "location": [6200.0, 500.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [5200.0, 500.0], "inputs": {"Selection": true, "Name": "rotation", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Instance on Points.001", "type": "GeometryNodeInstanceOnPoints", "location": [4400.0, 500.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Realize Instances.001", "type": "GeometryNodeRealizeInstances", "location": [4860.0, 500.0], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Instance on Points", "type": "GeometryNodeInstanceOnPoints", "location": [1640.0001220703125, 400.0], "inputs": {"Selection": true, "Pick Instance": false, "Instance Index": 0, "Scale": [1.0, 1.0, 1.0]}, "attributes": {}}, {"name": "Delete Geometry", "type": "GeometryNodeDeleteGeometry", "location": [1300.0, -100.0], "inputs": {"Selection": true}, "attributes": {"mode": "ALL", "domain": "FACE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [-1070.0220947265625, -99.675537109375], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Grid", "type": "GeometryNodeMeshGrid", "location": [4000.0, 300.0], "inputs": {"Size X": 1.0, "Size Y": 1.0, "Vertices X": 2, "Vertices Y": 2}, "attributes": {}}, {"name": "Rotate Instances", "type": "GeometryNodeRotateInstances", "location": [4600.0, 500.0], "inputs": {"Selection": true, "Pivot Point": [0.0, 0.0, 0.0], "Local Space": false}, "attributes": {}}, {"name": "Group Input.001", "type": "NodeGroupInput", "location": [-433.1710510253906, -344.3070373535156], "inputs": {}, "attributes": {}}, {"name": "Object Info.001", "type": "GeometryNodeObjectInfo", "location": [-208.1216278076172, -275.4303894042969], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [-1270.0220947265625, -99.675537109375], "inputs": {}, "attributes": {}}, {"name": "Invert Rotation", "type": "FunctionNodeInvertRotation", "location": [40.0, -280.0], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.004", "type": "GeometryNodeTransform", "location": [300.0, -120.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Axis Angle to Rotation", "type": "FunctionNodeAxisAngleToRotation", "location": [1360.0, 320.0], "inputs": {"Axis": [0.0, 0.0, 1.0], "Angle": 0.0}, "attributes": {}}, {"name": "Axis Angle to Rotation.001", "type": "FunctionNodeAxisAngleToRotation", "location": [4400.0, 660.0], "inputs": {"Axis": [0.0, 0.0, 1.0], "Angle": 0.0}, "attributes": {}}], "links": [{"from_node": "Transform Geometry.003", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Delete Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Index", "to_node": "Delete Geometry", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Delete Geometry", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Points", "to_node": "Instance on Points", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Index.001", "to_node": "Math", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Integer", "to_node": "Math", "from_socket": "Integer", "to_socket": "Value_001"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Integer", "to_node": "Points", "from_socket": "Integer", "to_socket": "Count"}, {"from_node": "Instance on Points", "to_node": "Realize Instances", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Index.002", "to_node": "Evaluate on Domain", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain", "to_node": "Corners of Face", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Separate XYZ.001", "to_node": "Math.002", "from_socket": "X", "to_socket": "Value"}, {"from_node": "Corners of Face", "to_node": "Vertex of Corner", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner", "to_node": "Evaluate at Index", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position", "to_node": "Evaluate at Index", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index", "to_node": "Separate XYZ.002", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Position.002", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Realize Instances", "to_node": "Capture Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.003", "to_node": "Evaluate on Domain.001", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.001", "to_node": "Corners of Face.001", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.001", "to_node": "Vertex of Corner.001", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.001", "to_node": "Evaluate at Index.001", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.001", "to_node": "Evaluate at Index.001", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.001", "to_node": "Separate XYZ.003", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Corners of Face", "from_socket": "X", "to_socket": "Weights"}, {"from_node": "Math.002", "to_node": "Corners of Face.001", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Index.004", "to_node": "Evaluate on Domain.002", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.002", "to_node": "Corners of Face.002", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.002", "to_node": "Vertex of Corner.002", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.002", "to_node": "Evaluate at Index.002", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.004", "to_node": "Evaluate at Index.002", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.002", "to_node": "Separate XYZ.004", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Position.003", "to_node": "Separate XYZ.006", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Index.005", "to_node": "Evaluate on Domain.003", "from_socket": "Index", "to_socket": "Value"}, {"from_node": "Evaluate on Domain.003", "to_node": "Corners of Face.003", "from_socket": "Value", "to_socket": "Face Index"}, {"from_node": "Corners of Face.003", "to_node": "Vertex of Corner.003", "from_socket": "Corner Index", "to_socket": "Corner Index"}, {"from_node": "Vertex of Corner.003", "to_node": "Evaluate at Index.003", "from_socket": "Vertex Index", "to_socket": "Index"}, {"from_node": "Position.005", "to_node": "Evaluate at Index.003", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Evaluate at Index.003", "to_node": "Separate XYZ.005", "from_socket": "Value", "to_socket": "Vector"}, {"from_node": "Math.003", "to_node": "Corners of Face.003", "from_socket": "Value", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Corners of Face.002", "from_socket": "Y", "to_socket": "Weights"}, {"from_node": "Separate XYZ.006", "to_node": "Math.003", "from_socket": "Y", "to_socket": "Value"}, {"from_node": "Separate XYZ.002", "to_node": "Combine XYZ.001", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.004", "to_node": "Combine XYZ.001", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Separate XYZ.003", "to_node": "Combine XYZ.002", "from_socket": "X", "to_socket": "X"}, {"from_node": "Separate XYZ.005", "to_node": "Combine XYZ.002", "from_socket": "Y", "to_socket": "Y"}, {"from_node": "Mesh to Points", "to_node": "Instance on Points.001", "from_socket": "Points", "to_socket": "Points"}, {"from_node": "Transform Geometry", "to_node": "Instance on Points.001", "from_socket": "Geometry", "to_socket": "Instance"}, {"from_node": "Capture Attribute", "to_node": "Mesh to Points", "from_socket": "Geometry", "to_socket": "Mesh"}, {"from_node": "Vector Math", "to_node": "Capture Attribute", "from_socket": "Vector", "to_socket": "Value"}, {"from_node": "Capture Attribute", "to_node": "Instance on Points.001", "from_socket": "Attribute", "to_socket": "Scale"}, {"from_node": "Combine XYZ.001", "to_node": "Mesh to Points", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Combine XYZ.001", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector_001"}, {"from_node": "Combine XYZ.002", "to_node": "Vector Math", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Grid", "to_node": "Transform Geometry", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Realize Instances.001", "to_node": "Store Named Attribute", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Rotate Instances", "to_node": "Realize Instances.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Reroute.005", "to_node": "Store Named Attribute", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Math.004", "to_node": "Reroute", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Store Named Attribute", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Face Area", "to_node": "Attribute Statistic", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Store Named Attribute", "to_node": "Delete Geometry.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Compare", "from_socket": "Min", "to_socket": "A"}, {"from_node": "Face Area.001", "to_node": "Compare", "from_socket": "Area", "to_socket": "B"}, {"from_node": "Compare", "to_node": "Boolean Math", "from_socket": "Result", "to_socket": "Boolean"}, {"from_node": "Boolean Math", "to_node": "Delete Geometry.001", "from_socket": "Boolean", "to_socket": "Selection"}, {"from_node": "Instance on Points.001", "to_node": "Rotate Instances", "from_socket": "Instances", "to_socket": "Instances"}, {"from_node": "Reroute", "to_node": "Reroute.005", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Position.008", "to_node": "Sample Index", "from_socket": "Position", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math.004", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Delete Geometry.001", "to_node": "Delete Geometry.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Index.006", "to_node": "Delete Geometry.002", "from_socket": "Index", "to_socket": "Selection"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 1", "to_socket": "Vector"}, {"from_node": "Edge Vertices", "to_node": "Vector Math.003", "from_socket": "Position 2", "to_socket": "Vector_001"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Reroute.006", "to_node": "Sample Index.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.003", "to_node": "Store Named Attribute.004", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.006", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.006", "to_node": "Sample Index.003", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Sample Index.001", "to_node": "Store Named Attribute.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Sample Index.003", "to_node": "Store Named Attribute.004", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Vector Math.003", "to_node": "Sample Index.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Named Attribute", "to_node": "Combine XYZ.007", "from_socket": "Attribute", "to_socket": "Z"}, {"from_node": "Combine XYZ.007", "to_node": "Vector Math.002", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Sample Index", "to_node": "Vector Math.002", "from_socket": "Value", "to_socket": "Vector_001"}, {"from_node": "Vector Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Vector", "to_socket": "Value"}, {"from_node": "Delete Geometry.002", "to_node": "Reroute.002", "from_socket": "Geometry", "to_socket": "Input"}, {"from_node": "Reroute.002", "to_node": "Sample Index", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Realize Instances.002", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input.001", "to_node": "Object Info.001", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Store Named Attribute.004", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Object Info.001", "to_node": "Invert Rotation", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Invert Rotation", "to_node": "Transform Geometry.004", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Realize Instances.002", "to_node": "Transform Geometry.004", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.004", "to_node": "Transform Geometry.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Math.001", "to_node": "Axis Angle to Rotation", "from_socket": "Value", "to_socket": "Angle"}, {"from_node": "Axis Angle to Rotation", "to_node": "Instance on Points", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Reroute", "to_node": "Axis Angle to Rotation.001", "from_socket": "Output", "to_socket": "Angle"}, {"from_node": "Axis Angle to Rotation.001", "to_node": "Rotate Instances", "from_socket": "Rotation", "to_socket": "Rotation"}]}',
    NODEGROUP_CLIPPING_PLANES_ORTHO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [960.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [1900.0, -100.0], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [960.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [1900.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1700.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2700.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_height", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2300.0, 100.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2500.0, 100.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2100.0, -100.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2500.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2300.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2700.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [560.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [960.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [960.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [2900.0, 100.0], "inputs": {"Selection": true, "Name": "sensor_clip", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3300.0, 100.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Invert Rotation", "type": "FunctionNodeInvertRotation", "location": [1180.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [1400.0, -40.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [1400.0, -300.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [1400.0, -560.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}], "links": [{"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math", "to_node": "Math.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value_001"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.002", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Object Info", "to_node": "Invert Rotation", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Invert Rotation", "to_node": "Transform Geometry", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Collection Info", "to_node": "Transform Geometry", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Invert Rotation", "to_node": "Transform Geometry.001", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Collection Info.001", "to_node": "Transform Geometry.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.001", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Invert Rotation", "to_node": "Transform Geometry.002", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Collection Info.002", "to_node": "Transform Geometry.002", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}]}',
    NODEGROUP_CAM_PLACEMENT_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Collection", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [6700.0, 200.0], "inputs": {"Selection": true, "Name": "rotation", "Value": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "POINT"}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [6500.0, 200.0], "inputs": {"Selection": true, "Name": "fov", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [6300.0, 200.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Points", "type": "GeometryNodePoints", "location": [6100.0, 200.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [6300.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "MULTIPLY", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [6100.0, 0.0], "inputs": {"Value": 0.5, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "ARCTANGENT", "use_clamp": false}}, {"name": "Attribute Statistic.001", "type": "GeometryNodeAttributeStatistic", "location": [5900.0, 200.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [5700.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position.003", "type": "GeometryNodeInputPosition", "location": [5500.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [5500.0, 200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [5300.0, 100.0], "inputs": {"Value": 1.0, "Value_001": 0.5, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Separate XYZ.001", "type": "ShaderNodeSeparateXYZ", "location": [5100.0, 100.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.001", "type": "GeometryNodeInputPosition", "location": [4900.0, 200.0], "inputs": {}, "attributes": {}}, {"name": "Compare", "type": "FunctionNodeCompare", "location": [6700.0, -100.0], "inputs": {"A": 0.0, "B": 0.0, "A_INT": 0, "B_INT": 0, "A_VEC3": [0.0, 0.0, 0.0], "B_VEC3": [0.0, 0.0, 0.0], "A_COL": [0.0, 0.0, 0.0, 0.0], "B_COL": [0.0, 0.0, 0.0, 0.0], "A_STR": "", "B_STR": "", "C": 0.8999999761581421, "Angle": 0.08726649731397629, "Epsilon": 0.0010000000474974513}, "attributes": {"operation": "GREATER_THAN", "data_type": "FLOAT", "mode": "ELEMENT"}}, {"name": "Attribute Statistic.002", "type": "GeometryNodeAttributeStatistic", "location": [6500.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Separate XYZ", "type": "ShaderNodeSeparateXYZ", "location": [6300.0, -600.0], "inputs": {"Vector": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Position.002", "type": "GeometryNodeInputPosition", "location": [6100.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Reroute", "type": "NodeReroute", "location": [6300.0, -500.0], "inputs": {"Input": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Align Euler to Vector", "type": "FunctionNodeAlignEulerToVector", "location": [5000.0, -400.0], "inputs": {"Rotation": [0.0, 0.0, 0.0], "Factor": 1.0, "Vector": [0.0, 0.0, 1.0]}, "attributes": {"axis": "Z", "pivot_axis": "AUTO"}}, {"name": "Vector Math.006", "type": "ShaderNodeVectorMath", "location": [4600.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "DIVIDE"}}, {"name": "Set Position", "type": "GeometryNodeSetPosition", "location": [5700.0, 200.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, -1.0]}, "attributes": {}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [3600.0, -300.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Vector Math.002", "type": "ShaderNodeVectorMath", "location": [3400.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [3200.0, -300.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [3200.0, -500.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [3000.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.004", "type": "ShaderNodeVectorMath", "location": [3800.0, -400.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "NORMALIZE"}}, {"name": "Position.004", "type": "GeometryNodeInputPosition", "location": [3600.0, -600.0], "inputs": {}, "attributes": {}}, {"name": "Set Position.001", "type": "GeometryNodeSetPosition", "location": [4000.0, -300.0], "inputs": {"Selection": true, "Position": [0.0, 0.0, 0.0], "Offset": [0.0, 0.0, 0.0]}, "attributes": {}}, {"name": "Attribute Statistic.004", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -800.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Face Area", "type": "GeometryNodeInputMeshFaceArea", "location": [4000.0, -1100.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.005", "type": "ShaderNodeVectorMath", "location": [4200.0, -700.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Position.005", "type": "GeometryNodeInputPosition", "location": [4000.0, -700.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.003", "type": "ShaderNodeVectorMath", "location": [4800.0, -500.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Attribute Statistic.003", "type": "GeometryNodeAttributeStatistic", "location": [4400.0, -400.0], "inputs": {"Selection": true, "Attribute": [0.0, 0.0, 0.0]}, "attributes": {"data_type": "FLOAT_VECTOR", "domain": "FACE"}}, {"name": "Convex Hull", "type": "GeometryNodeConvexHull", "location": [3400.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Store Named Attribute.002", "type": "GeometryNodeStoreNamedAttribute", "location": [6900.0, 200.0], "inputs": {"Selection": true, "Name": "full_sphere", "Value": false}, "attributes": {"data_type": "BOOLEAN", "domain": "POINT"}}, {"name": "Vector Math.007", "type": "ShaderNodeVectorMath", "location": [3800.0, -100.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [3600.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Attribute Statistic.005", "type": "GeometryNodeAttributeStatistic", "location": [4000.0, 100.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "FACE"}}, {"name": "Realize Instances.002", "type": "GeometryNodeRealizeInstances", "location": [3800.0, -300.0], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Reroute.003", "type": "NodeReroute", "location": [4400.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [4200.0, 300.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Reroute.002", "type": "NodeReroute", "location": [7040.0, 300.0], "inputs": {"Input": 0.0}, "attributes": {}}, {"name": "Store Named Attribute.003", "type": "GeometryNodeStoreNamedAttribute", "location": [7100.0, 200.0], "inputs": {"Selection": true, "Name": "clipping", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Convex Hull.001", "type": "GeometryNodeConvexHull", "location": [4200.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Reroute.001", "type": "NodeReroute", "location": [5640.0, -300.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [7300.0, 200.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Invert Rotation", "type": "FunctionNodeInvertRotation", "location": [5200.0, -420.0], "inputs": {}, "attributes": {}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [5400.0, -280.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}], "links": [{"from_node": "Collection Info", "to_node": "Convex Hull", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Realize Instances.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Position.002", "to_node": "Separate XYZ", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ", "to_node": "Attribute Statistic.002", "from_socket": "Z", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.002", "to_node": "Compare", "from_socket": "Max", "to_socket": "A"}, {"from_node": "Reroute.001", "to_node": "Set Position", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Position.001", "to_node": "Separate XYZ.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Separate XYZ.001", "to_node": "Math", "from_socket": "Z", "to_socket": "Value_001"}, {"from_node": "Position.001", "to_node": "Vector Math", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Math", "to_node": "Vector Math", "from_socket": "Value", "to_socket": "Scale"}, {"from_node": "Vector Math", "to_node": "Set Position", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.003", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic.001", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Attribute Statistic.001", "to_node": "Math.001", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Store Named Attribute.001", "to_node": "Store Named Attribute.002", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Compare", "to_node": "Store Named Attribute.002", "from_socket": "Result", "to_socket": "Value"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Reroute", "to_node": "Store Named Attribute.001", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Vector Math.003", "to_node": "Align Euler to Vector", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Math.001", "to_node": "Math.003", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Set Position", "to_node": "Attribute Statistic.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull", "to_node": "Transform Geometry", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Object Info", "to_node": "Vector Math.002", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Vector Math.002", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Align Euler to Vector", "to_node": "Reroute", "from_socket": "Rotation", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Set Position.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.004", "to_node": "Set Position.001", "from_socket": "Vector", "to_socket": "Position"}, {"from_node": "Position.004", "to_node": "Vector Math.004", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Face Area", "to_node": "Attribute Statistic.004", "from_socket": "Area", "to_socket": "Attribute"}, {"from_node": "Vector Math.005", "to_node": "Attribute Statistic.003", "from_socket": "Vector", "to_socket": "Attribute"}, {"from_node": "Face Area", "to_node": "Vector Math.005", "from_socket": "Area", "to_socket": "Scale"}, {"from_node": "Position.005", "to_node": "Vector Math.005", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.003", "to_node": "Vector Math.006", "from_socket": "Sum", "to_socket": "Vector"}, {"from_node": "Attribute Statistic.004", "to_node": "Vector Math.006", "from_socket": "Sum", "to_socket": "Vector_001"}, {"from_node": "Vector Math.006", "to_node": "Vector Math.003", "from_socket": "Vector", "to_socket": "Vector"}, {"from_node": "Set Position.001", "to_node": "Convex Hull.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.003", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Convex Hull.001", "to_node": "Attribute Statistic.004", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Vector Math.007", "to_node": "Attribute Statistic.005", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Position", "to_node": "Vector Math.007", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute.002", "to_node": "Store Named Attribute.003", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Reroute.002", "to_node": "Store Named Attribute.003", "from_socket": "Output", "to_socket": "Value"}, {"from_node": "Reroute.003", "to_node": "Reroute.002", "from_socket": "Output", "to_socket": "Input"}, {"from_node": "Math.002", "to_node": "Reroute.003", "from_socket": "Value", "to_socket": "Input"}, {"from_node": "Realize Instances.002", "to_node": "Attribute Statistic.005", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Attribute Statistic.005", "to_node": "Math.002", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_3", "to_socket": "Object"}, {"from_node": "Store Named Attribute.003", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Reroute.001", "to_node": "Attribute Statistic.002", "from_socket": "Output", "to_socket": "Geometry"}, {"from_node": "Align Euler to Vector", "to_node": "Invert Rotation", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Invert Rotation", "to_node": "Transform Geometry.001", "from_socket": "Rotation", "to_socket": "Rotation"}, {"from_node": "Convex Hull.001", "to_node": "Transform Geometry.001", "from_socket": "Convex Hull", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.001", "to_node": "Reroute.001", "from_socket": "Geometry", "to_socket": "Input"}]}',
    NODEGROUP_CLIPPING_PLANES_PANO: '{"type": "GEOMETRY", "interface": [{"in_out": "OUTPUT", "name": "Geometry", "socket_type": "NodeSocketGeometry", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_contributor", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_receiver", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "cb_shadow_caster", "socket_type": "NodeSocketCollection", "default_attribute_name": "", "hide_value": false}, {"in_out": "INPUT", "name": "Light", "socket_type": "NodeSocketObject", "default_attribute_name": "", "hide_value": false}], "nodes": [{"name": "Collection Info.001", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -500.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Object Info", "type": "GeometryNodeObjectInfo", "location": [1100.0, -300.0], "inputs": {"As Instance": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Collection Info", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -100.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Vector Math", "type": "ShaderNodeVectorMath", "location": [1300.0, -300.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": -1.0}, "attributes": {"operation": "SCALE"}}, {"name": "Collection Info.002", "type": "GeometryNodeCollectionInfo", "location": [1100.0, -700.0], "inputs": {"Separate Children": false, "Reset Children": false}, "attributes": {"transform_space": "ORIGINAL"}}, {"name": "Math", "type": "ShaderNodeMath", "location": [2600.0, -200.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "ADD", "use_clamp": false}}, {"name": "Math.001", "type": "ShaderNodeMath", "location": [2400.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 0.009999999776482582, "Value_002": 0.5}, "attributes": {"operation": "SUBTRACT", "use_clamp": false}}, {"name": "Math.003", "type": "ShaderNodeMath", "location": [2400.0, -100.0], "inputs": {"Value": 0.5, "Value_001": 2.0, "Value_002": 0.5}, "attributes": {"operation": "DIVIDE", "use_clamp": false}}, {"name": "Math.002", "type": "ShaderNodeMath", "location": [2600.0, 100.0], "inputs": {"Value": 0.5, "Value_001": 1.0, "Value_002": 0.5}, "attributes": {"operation": "MINIMUM", "use_clamp": false}}, {"name": "Store Named Attribute", "type": "GeometryNodeStoreNamedAttribute", "location": [2800.0, 300.0], "inputs": {"Selection": true, "Name": "clip_start", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Points", "type": "GeometryNodePoints", "location": [2400.0, 300.0], "inputs": {"Count": 1, "Position": [0.0, 0.0, 0.0], "Radius": 0.10000000149011612}, "attributes": {}}, {"name": "Store Named Attribute.001", "type": "GeometryNodeStoreNamedAttribute", "location": [3000.0, 300.0], "inputs": {"Selection": true, "Name": "clip_end", "Value": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}, {"name": "Group Input", "type": "NodeGroupInput", "location": [700.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Group Output", "type": "NodeGroupOutput", "location": [3200.0, 300.0], "inputs": {}, "attributes": {"is_active_output": true}}, {"name": "Transform Geometry", "type": "GeometryNodeTransform", "location": [1500.0, -100.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Transform Geometry.001", "type": "GeometryNodeTransform", "location": [1500.0, -400.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Transform Geometry.002", "type": "GeometryNodeTransform", "location": [1500.0, -720.0], "inputs": {"Translation": [0.0, 0.0, 0.0], "Scale": [1.0, 1.0, 1.0]}, "attributes": {"mode": "COMPONENTS"}}, {"name": "Join Geometry", "type": "GeometryNodeJoinGeometry", "location": [1800.0, -100.0], "inputs": {}, "attributes": {}}, {"name": "Points to Vertices", "type": "GeometryNodePointsToVertices", "location": [2600.0, 300.0], "inputs": {"Selection": true}, "attributes": {}}, {"name": "Realize Instances", "type": "GeometryNodeRealizeInstances", "location": [2000.0, -100.0], "inputs": {"Selection": true, "Realize All": true, "Depth": 0}, "attributes": {}}, {"name": "Position", "type": "GeometryNodeInputPosition", "location": [1800.0, -200.0], "inputs": {}, "attributes": {}}, {"name": "Vector Math.001", "type": "ShaderNodeVectorMath", "location": [2000.0, -200.0], "inputs": {"Vector": [0.0, 0.0, 0.0], "Vector_001": [0.0, 0.0, 0.0], "Vector_002": [0.0, 0.0, 0.0], "Scale": 1.0}, "attributes": {"operation": "LENGTH"}}, {"name": "Attribute Statistic", "type": "GeometryNodeAttributeStatistic", "location": [2200.0, -300.0], "inputs": {"Selection": true, "Attribute": 0.0}, "attributes": {"data_type": "FLOAT", "domain": "POINT"}}], "links": [{"from_node": "Object Info", "to_node": "Vector Math", "from_socket": "Location", "to_socket": "Vector"}, {"from_node": "Collection Info", "to_node": "Transform Geometry", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Vector Math", "to_node": "Transform Geometry", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.001", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Vector Math", "to_node": "Transform Geometry.002", "from_socket": "Vector", "to_socket": "Translation"}, {"from_node": "Collection Info.002", "to_node": "Transform Geometry.002", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Collection Info.001", "to_node": "Transform Geometry.001", "from_socket": "Instances", "to_socket": "Geometry"}, {"from_node": "Transform Geometry", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.001", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Transform Geometry.002", "to_node": "Join Geometry", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Join Geometry", "to_node": "Realize Instances", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Points", "to_node": "Points to Vertices", "from_socket": "Geometry", "to_socket": "Points"}, {"from_node": "Points to Vertices", "to_node": "Store Named Attribute", "from_socket": "Mesh", "to_socket": "Geometry"}, {"from_node": "Position", "to_node": "Vector Math.001", "from_socket": "Position", "to_socket": "Vector"}, {"from_node": "Store Named Attribute", "to_node": "Store Named Attribute.001", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Math.002", "to_node": "Store Named Attribute", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Realize Instances", "to_node": "Attribute Statistic", "from_socket": "Geometry", "to_socket": "Geometry"}, {"from_node": "Vector Math.001", "to_node": "Attribute Statistic", "from_socket": "Value", "to_socket": "Attribute"}, {"from_node": "Math", "to_node": "Store Named Attribute.001", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math", "from_socket": "Max", "to_socket": "Value"}, {"from_node": "Math.001", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value"}, {"from_node": "Math.003", "to_node": "Math.002", "from_socket": "Value", "to_socket": "Value_001"}, {"from_node": "Group Input", "to_node": "Collection Info", "from_socket": "Socket_1", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Object Info", "from_socket": "Socket_4", "to_socket": "Object"}, {"from_node": "Group Input", "to_node": "Collection Info.001", "from_socket": "Socket_2", "to_socket": "Collection"}, {"from_node": "Group Input", "to_node": "Collection Info.002", "from_socket": "Socket_3", "to_socket": "Collection"}, {"from_node": "Store Named Attribute.001", "to_node": "Group Output", "from_socket": "Geometry", "to_socket": "Socket_0"}, {"from_node": "Attribute Statistic", "to_node": "Math.003", "from_socket": "Min", "to_socket": "Value"}, {"from_node": "Attribute Statistic", "to_node": "Math.001", "from_socket": "Min", "to_socket": "Value"}]}'
}